# -*- coding: utf-8 -*-
from __future__ import unicode_literals

from django.db import models, migrations


class Migration(migrations.Migration):

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Alert',
            fields=[
                ('id', models.AutoField(serialize=False, primary_key=True)),
                ('datetimeoccured', models.DateTimeField(db_column='datetimeOccured')),
                ('datetimefirstnotification', models.DateTimeField(null=True, db_column='datetimeFirstNotification')),
                ('datetimelastnotification', models.DateTimeField(null=True, db_column='datetimeLastNotification')),
                ('datetimeacknowledged', models.DateTimeField(null=True, db_column='datetimeAcknowledged')),
                ('datetimerecovery', models.DateTimeField(null=True, db_column='datetimeRecovery')),
                ('state', models.CharField(choices=[('UP', 'UP'), ('DOWN', 'DOWN'), ('UNREACHABLE', 'UNREACHABLE'), ('OK', 'OK'), ('WARNING', 'WARNING'), ('UNKNOWN', 'UNKNOWN'), ('CRITICAL', 'CRITICAL')], max_length=11)),
                ('output', models.TextField()),
                ('acknowledged', models.BooleanField(default=False)),
                ('acknowledgedautomatically', models.BooleanField(db_column='acknowledgedAutomatically', default=False)),
                ('acknowledgedprocessed', models.BooleanField(db_column='acknowledgedProcessed', default=False)),
                ('comment', models.TextField(blank=True)),
                ('problemid', models.IntegerField(null=True, db_column='problemId')),
                ('lastproblemid', models.IntegerField(null=True, db_column='lastProblemId')),
                ('counter', models.IntegerField(default=0)),
            ],
            options={
                'db_table': 'Alert',
            },
            bases=(models.Model,),
        ),
        migrations.CreateModel(
            name='Alertcomment',
            fields=[
                ('id', models.AutoField(serialize=False, primary_key=True)),
                ('timestamp', models.DateTimeField(auto_now_add=True)),
                ('comment', models.TextField()),
                ('alertid', models.ForeignKey(to='symonitoring_model.Alert', db_column='alertId')),
            ],
            options={
                'db_table': 'AlertComment',
            },
            bases=(models.Model,),
        ),
        migrations.CreateModel(
            name='AlertcommentAlerttag',
            fields=[
                ('id', models.AutoField(serialize=False, primary_key=True)),
                ('commentid', models.ForeignKey(to='symonitoring_model.Alertcomment', db_column='commentId')),
            ],
            options={
                'db_table': 'AlertComment_AlertTag',
            },
            bases=(models.Model,),
        ),
        migrations.CreateModel(
            name='Alertlog',
            fields=[
                ('id', models.AutoField(serialize=False, primary_key=True)),
                ('timestamp', models.DateTimeField(auto_now_add=True)),
                ('hasfailed', models.BooleanField(db_column='hasFailed', default=False)),
                ('alertid', models.ForeignKey(to='symonitoring_model.Alert', db_column='alertId')),
            ],
            options={
                'db_table': 'AlertLog',
            },
            bases=(models.Model,),
        ),
        migrations.CreateModel(
            name='AlertnotificationExcludeUser',
            fields=[
                ('id', models.AutoField(serialize=False, primary_key=True)),
            ],
            options={
                'db_table': 'AlertNotification_Exclude_User',
            },
            bases=(models.Model,),
        ),
        migrations.CreateModel(
            name='Alerttag',
            fields=[
                ('id', models.AutoField(serialize=False, primary_key=True)),
                ('name', models.CharField(max_length=255, unique=True)),
                ('description', models.CharField(max_length=255)),
            ],
            options={
                'db_table': 'AlertTag',
            },
            bases=(models.Model,),
        ),
        migrations.CreateModel(
            name='Alerttemplate',
            fields=[
                ('id', models.AutoField(serialize=False, primary_key=True)),
                ('name', models.CharField(max_length=32, unique=True)),
                ('description', models.CharField(max_length=255)),
                ('content', models.TextField()),
            ],
            options={
                'db_table': 'AlertTemplate',
            },
            bases=(models.Model,),
        ),
        migrations.CreateModel(
            name='AlerttemplateUser',
            fields=[
                ('id', models.AutoField(serialize=False, primary_key=True)),
            ],
            options={
                'db_table': 'AlertTemplate_User',
            },
            bases=(models.Model,),
        ),
        migrations.CreateModel(
            name='Architecture',
            fields=[
                ('id', models.AutoField(serialize=False, primary_key=True)),
                ('name', models.CharField(max_length=28)),
            ],
            options={
                'db_table': 'Architecture',
            },
            bases=(models.Model,),
        ),
        migrations.CreateModel(
            name='ArchitectureHostos',
            fields=[
                ('id', models.AutoField(serialize=False, primary_key=True)),
                ('architectureid', models.ForeignKey(to='symonitoring_model.Architecture', db_column='architectureId')),
            ],
            options={
                'db_table': 'Architecture_HostOS',
            },
            bases=(models.Model,),
        ),
        migrations.CreateModel(
            name='Auditlog',
            fields=[
                ('id', models.AutoField(serialize=False, primary_key=True)),
                ('entity', models.CharField(max_length=40)),
                ('entityid', models.IntegerField(null=True, db_column='entityID')),
                ('entityname', models.CharField(max_length=255, db_column='entityName', blank=True)),
                ('operation', models.CharField(choices=[('create', 'create'), ('update', 'update'), ('delete', 'delete')], max_length=6)),
                ('order', models.IntegerField()),
            ],
            options={
                'db_table': 'AuditLog',
            },
            bases=(models.Model,),
        ),
        migrations.CreateModel(
            name='Auditlogaction',
            fields=[
                ('id', models.AutoField(serialize=False, primary_key=True)),
                ('userid', models.IntegerField(db_column='userID')),
                ('username', models.CharField(max_length=40, db_column='userName', blank=True)),
                ('timestamp', models.DateTimeField(auto_now=True)),
            ],
            options={
                'db_table': 'AuditLogAction',
            },
            bases=(models.Model,),
        ),
        migrations.CreateModel(
            name='Auditlogchange',
            fields=[
                ('id', models.AutoField(serialize=False, primary_key=True)),
                ('column', models.CharField(max_length=40)),
                ('oldvalue', models.TextField(null=True, db_column='oldValue', blank=True)),
                ('newvalue', models.TextField(null=True, db_column='newValue', blank=True)),
                ('logentryid', models.ForeignKey(to='symonitoring_model.Auditlog', db_column='logEntryID')),
            ],
            options={
                'db_table': 'AuditLogChange',
            },
            bases=(models.Model,),
        ),
        migrations.CreateModel(
            name='BiDimensiondate',
            fields=[
                ('id', models.AutoField(serialize=False, primary_key=True)),
                ('date', models.DateField()),
                ('dayofweek', models.IntegerField(db_column='dayOfWeek')),
                ('dayofmonth', models.IntegerField(db_column='dayOfMonth')),
                ('dayofyear', models.IntegerField(db_column='dayOfYear')),
                ('month', models.IntegerField()),
                ('year', models.IntegerField()),
                ('quarter', models.IntegerField()),
                ('week', models.IntegerField()),
            ],
            options={
                'db_table': 'BI_DimensionDate',
            },
            bases=(models.Model,),
        ),
        migrations.CreateModel(
            name='BiDimensionhost',
            fields=[
                ('id', models.AutoField(serialize=False, primary_key=True)),
            ],
            options={
                'db_table': 'BI_DimensionHost',
            },
            bases=(models.Model,),
        ),
        migrations.CreateModel(
            name='BiFactavailability',
            fields=[
                ('id', models.AutoField(serialize=False, primary_key=True)),
                ('available', models.IntegerField()),
                ('unavailable', models.IntegerField()),
                ('dateid', models.ForeignKey(to='symonitoring_model.BiDimensiondate', db_column='dateId')),
                ('hostid', models.ForeignKey(to='symonitoring_model.BiDimensionhost', db_column='hostId')),
            ],
            options={
                'db_table': 'BI_FactAvailability',
            },
            bases=(models.Model,),
        ),
        migrations.CreateModel(
            name='Checkresult',
            fields=[
                ('id', models.AutoField(serialize=False, primary_key=True)),
                ('timestamp', models.DateTimeField(auto_now=True)),
                ('available', models.IntegerField()),
            ],
            options={
                'db_table': 'CheckResult',
            },
            bases=(models.Model,),
        ),
        migrations.CreateModel(
            name='Command',
            fields=[
                ('id', models.AutoField(serialize=False, primary_key=True)),
                ('name', models.CharField(max_length=255, unique=True)),
                ('description', models.CharField(max_length=255)),
                ('commandline', models.TextField()),
                ('v6capable', models.BooleanField(db_column='v6Capable', default=False)),
                ('isdeleted', models.BooleanField(db_column='isDeleted', default=False)),
            ],
            options={
                'db_table': 'Command',
            },
            bases=(models.Model,),
        ),
        migrations.CreateModel(
            name='Customer',
            fields=[
                ('id', models.AutoField(serialize=False, primary_key=True)),
                ('name', models.CharField(max_length=255, unique=True)),
                ('email', models.CharField(max_length=255, null=True)),
                ('warnhoster', models.IntegerField(db_column='warnHoster')),
                ('wiki', models.CharField(max_length=255, null=True, blank=True)),
                ('comment', models.TextField(null=True)),
                ('passwordinformation', models.CharField(null=True, max_length=255, db_column='passwordInformation')),
                ('passwordmaintenance', models.CharField(null=True, max_length=255, db_column='passwordMaintenance')),
                ('lastaccess', models.DateField(null=True, db_column='lastAccess')),
                ('ldapgroup', models.CharField(null=True, max_length=255, db_column='ldapGroup', blank=True)),
                ('isenabled', models.BooleanField(db_column='isEnabled', default=True)),
                ('isdeleted', models.BooleanField(db_column='isDeleted', default=False)),
            ],
            options={
                'db_table': 'Customer',
            },
            bases=(models.Model,),
        ),
        migrations.CreateModel(
            name='Customerinformation',
            fields=[
                ('id', models.ForeignKey(serialize=False, to='symonitoring_model.Customer', db_column='id', primary_key=True)),
                ('name', models.CharField(max_length=255, null=True, blank=True)),
                ('address', models.CharField(max_length=255, null=True, blank=True)),
                ('contacttechnical', models.CharField(null=True, max_length=255, db_column='contactTechnical', blank=True)),
                ('contactcommercial', models.CharField(null=True, max_length=255, db_column='contactCommercial', blank=True)),
                ('phoneregular', models.CharField(null=True, max_length=255, db_column='phoneRegular', blank=True)),
                ('phoneemergency', models.CharField(null=True, max_length=255, db_column='phoneEmergency', blank=True)),
                ('comment', models.TextField(null=True, blank=True)),
                ('commentemergency', models.TextField(null=True, db_column='commentEmergency', blank=True)),
                ('maycontact', models.BooleanField(db_column='mayContact', default=False)),
            ],
            options={
                'db_table': 'CustomerInformation',
            },
            bases=(models.Model,),
        ),
        migrations.CreateModel(
            name='CustomerRole',
            fields=[
                ('id', models.AutoField(serialize=False, primary_key=True)),
                ('ldapgroup', models.CharField(max_length=255, db_column='ldapGroup', blank=True)),
                ('customerid', models.ForeignKey(to='symonitoring_model.Customer', db_column='customerId')),
            ],
            options={
                'db_table': 'Customer_Role',
            },
            bases=(models.Model,),
        ),
        migrations.CreateModel(
            name='Customerteam',
            fields=[
                ('id', models.AutoField(serialize=False, primary_key=True)),
                ('date', models.DateField(null=True)),
                ('priority', models.IntegerField()),
                ('customerid', models.ForeignKey(to='symonitoring_model.Customer', db_column='customerId')),
            ],
            options={
                'db_table': 'CustomerTeam',
            },
            bases=(models.Model,),
        ),
        migrations.CreateModel(
            name='Downtime',
            fields=[
                ('id', models.AutoField(serialize=False, primary_key=True)),
                ('datetimefrom', models.DateTimeField(db_column='datetimeFrom')),
                ('datetimeto', models.DateTimeField(null=True, db_column='datetimeTo')),
                ('durationhours', models.FloatField(null=True, db_column='durationHours')),
                ('rrule', models.TextField(null=True)),
            ],
            options={
                'db_table': 'Downtime',
            },
            bases=(models.Model,),
        ),
        migrations.CreateModel(
            name='Guideline',
            fields=[
                ('id', models.AutoField(serialize=False, primary_key=True)),
                ('content', models.TextField(null=True, blank=True)),
                ('needsmanualinstallation', models.BooleanField(db_column='needsManualInstallation', default=False)),
                ('filename', models.CharField(max_length=255, null=True, blank=True)),
                ('created', models.DateTimeField(null=True)),
                ('updated', models.DateTimeField(null=True)),
                ('commandid', models.ForeignKey(to='symonitoring_model.Command', db_column='commandId')),
            ],
            options={
                'db_table': 'Guideline',
            },
            bases=(models.Model,),
        ),
        migrations.CreateModel(
            name='Host',
            fields=[
                ('id', models.AutoField(serialize=False, primary_key=True)),
                ('inheritsla', models.BooleanField(db_column='inheritSla', default=False)),
                ('checkhostalive', models.BooleanField(db_column='checkHostAlive', default=True)),
                ('hostname', models.CharField(max_length=255, unique=True)),
                ('description', models.CharField(max_length=255)),
                ('ipv4', models.CharField(max_length=15, db_column='IPv4')),
                ('ipv6', models.CharField(null=True, max_length=39, db_column='IPv6')),
                ('issatellite', models.BooleanField(db_column='isSatellite', default=False)),
                ('isenabled', models.BooleanField(db_column='isEnabled', default=True)),
                ('hastrouble', models.BooleanField(db_column='hasTrouble', default=False)),
                ('comment', models.TextField(null=True)),
                ('datetimecreated', models.DateTimeField(db_column='datetimeCreated', auto_now_add=True)),
                ('exportdate', models.DateTimeField(null=True, db_column='exportDate')),
                ('version', models.IntegerField()),
                ('password', models.CharField(max_length=255, null=True)),
                ('isdeleted', models.IntegerField(db_column='isDeleted')),
                ('wiki', models.CharField(max_length=255, null=True)),
                ('customerid', models.ForeignKey(to='symonitoring_model.Customer', db_column='customerId')),
                ('dependencyid', models.ForeignKey(null=True, to='symonitoring_model.Host', db_column='dependencyId', related_name='dependency_set')),
            ],
            options={
                'db_table': 'Host',
            },
            bases=(models.Model,),
        ),
        migrations.CreateModel(
            name='Hostgroup',
            fields=[
                ('id', models.AutoField(serialize=False, primary_key=True)),
                ('name', models.CharField(max_length=255)),
                ('description', models.CharField(max_length=255)),
                ('customerid', models.ForeignKey(to='symonitoring_model.Customer', db_column='customerId')),
            ],
            options={
                'db_table': 'HostGroup',
            },
            bases=(models.Model,),
        ),
        migrations.CreateModel(
            name='HostgroupHost',
            fields=[
                ('id', models.AutoField(serialize=False, primary_key=True)),
                ('hostgroupid', models.ForeignKey(to='symonitoring_model.Hostgroup', db_column='hostGroupId')),
                ('hostid', models.ForeignKey(to='symonitoring_model.Host', db_column='hostId')),
            ],
            options={
                'db_table': 'HostGroup_Host',
            },
            bases=(models.Model,),
        ),
        migrations.CreateModel(
            name='Hostos',
            fields=[
                ('id', models.AutoField(serialize=False, primary_key=True)),
                ('name', models.CharField(max_length=255, unique=True)),
                ('image', models.CharField(max_length=255)),
            ],
            options={
                'db_table': 'HostOS',
            },
            bases=(models.Model,),
        ),
        migrations.CreateModel(
            name='Hostosversion',
            fields=[
                ('id', models.AutoField(serialize=False, primary_key=True)),
                ('name', models.CharField(max_length=255)),
                ('shortname', models.CharField(null=True, max_length=20, db_column='shortName', blank=True)),
                ('architectureid', models.ForeignKey(to='symonitoring_model.Architecture', db_column='architectureId')),
                ('osid', models.ForeignKey(to='symonitoring_model.Hostos', db_column='osId')),
            ],
            options={
                'db_table': 'HostOSVersion',
            },
            bases=(models.Model,),
        ),
        migrations.CreateModel(
            name='Hostservice',
            fields=[
                ('id', models.AutoField(serialize=False, primary_key=True)),
                ('hostid', models.ForeignKey(to='symonitoring_model.Host', db_column='hostId')),
            ],
            options={
                'db_table': 'HostService',
            },
            bases=(models.Model,),
        ),
        migrations.CreateModel(
            name='Hostserviceargument',
            fields=[
                ('id', models.AutoField(serialize=False, primary_key=True)),
                ('assignedvalue', models.CharField(null=True, max_length=255, db_column='assignedValue')),
            ],
            options={
                'db_table': 'HostServiceArgument',
            },
            bases=(models.Model,),
        ),
        migrations.CreateModel(
            name='Hostserviceinstance',
            fields=[
                ('id', models.AutoField(serialize=False, primary_key=True)),
                ('name', models.CharField(max_length=40, null=True)),
                ('ispassive', models.BooleanField(db_column='isPassive', default=False)),
                ('foravailability', models.BooleanField(db_column='forAvailability', default=False)),
                ('hastrouble', models.BooleanField(db_column='hasTrouble', default=False)),
                ('datetimecreated', models.DateTimeField(db_column='datetimeCreated', auto_now_add=True)),
                ('isenabled', models.BooleanField(db_column='isEnabled', default=True)),
                ('hostserviceid', models.ForeignKey(to='symonitoring_model.Hostservice', db_column='hostServiceId')),
            ],
            options={
                'db_table': 'HostServiceInstance',
            },
            bases=(models.Model,),
        ),
        migrations.CreateModel(
            name='Hosttype',
            fields=[
                ('id', models.AutoField(serialize=False, primary_key=True)),
                ('name', models.CharField(max_length=32)),
                ('short', models.CharField(max_length=2)),
            ],
            options={
                'db_table': 'HostType',
            },
            bases=(models.Model,),
        ),
        migrations.CreateModel(
            name='Importcommand',
            fields=[
                ('id', models.AutoField(serialize=False, primary_key=True)),
                ('command_name', models.CharField(max_length=255, null=True)),
                ('command_line', models.TextField(null=True)),
                ('name', models.CharField(max_length=255, null=True)),
                ('register', models.BooleanField(default=False)),
                ('commandid', models.ForeignKey(null=True, to='symonitoring_model.Command', db_column='commandId')),
            ],
            options={
                'db_table': 'ImportCommand',
            },
            bases=(models.Model,),
        ),
        migrations.CreateModel(
            name='Importcommandinclude',
            fields=[
                ('id', models.AutoField(serialize=False, primary_key=True)),
                ('name', models.CharField(max_length=255)),
                ('importcommandid', models.ForeignKey(to='symonitoring_model.Importcommand', db_column='importCommandId')),
            ],
            options={
                'db_table': 'ImportCommandInclude',
            },
            bases=(models.Model,),
        ),
        migrations.CreateModel(
            name='Importfile',
            fields=[
                ('id', models.AutoField(serialize=False, primary_key=True)),
                ('name', models.CharField(max_length=255)),
                ('hosts', models.IntegerField()),
                ('services', models.IntegerField()),
                ('commands', models.IntegerField()),
                ('hostgroups', models.IntegerField()),
            ],
            options={
                'db_table': 'ImportFile',
            },
            bases=(models.Model,),
        ),
        migrations.CreateModel(
            name='Importhost',
            fields=[
                ('id', models.AutoField(serialize=False, primary_key=True)),
                ('host_name', models.CharField(max_length=255, null=True, blank=True)),
                ('alias', models.CharField(max_length=255, null=True, blank=True)),
                ('address', models.CharField(max_length=255, null=True, blank=True)),
                ('parents', models.TextField(null=True, blank=True)),
                ('hostgroups', models.TextField(null=True, blank=True)),
                ('name', models.CharField(max_length=255, null=True, blank=True)),
                ('register', models.BooleanField(default=False)),
                ('customerid', models.ForeignKey(null=True, to='symonitoring_model.Customer', db_column='customerId')),
                ('fileid', models.ForeignKey(to='symonitoring_model.Importfile', db_column='fileId')),
                ('hostid', models.ForeignKey(null=True, to='symonitoring_model.Host', db_column='hostId')),
                ('osid', models.ForeignKey(null=True, to='symonitoring_model.Hostos', db_column='osId')),
            ],
            options={
                'db_table': 'ImportHost',
            },
            bases=(models.Model,),
        ),
        migrations.CreateModel(
            name='Importhostgroup',
            fields=[
                ('id', models.AutoField(serialize=False, primary_key=True)),
                ('hostgroup_name', models.CharField(max_length=255, null=True)),
                ('alias', models.CharField(max_length=255, null=True, blank=True)),
                ('members', models.TextField(null=True, blank=True)),
                ('hostgroup_members', models.TextField(null=True, blank=True)),
                ('name', models.CharField(max_length=255, null=True, blank=True)),
                ('register', models.BooleanField(default=False)),
                ('fileid', models.ForeignKey(to='symonitoring_model.Importfile', db_column='fileId')),
                ('hostgroupid', models.ForeignKey(null=True, to='symonitoring_model.Hostgroup', db_column='hostgroupId')),
            ],
            options={
                'db_table': 'ImportHostgroup',
            },
            bases=(models.Model,),
        ),
        migrations.CreateModel(
            name='Importhostgroupinclude',
            fields=[
                ('id', models.AutoField(serialize=False, primary_key=True)),
                ('name', models.CharField(max_length=255)),
                ('importhostgroupid', models.ForeignKey(to='symonitoring_model.Importhostgroup', db_column='importHostgroupId')),
            ],
            options={
                'db_table': 'ImportHostgroupInclude',
            },
            bases=(models.Model,),
        ),
        migrations.CreateModel(
            name='Importhostinclude',
            fields=[
                ('id', models.AutoField(serialize=False, primary_key=True)),
                ('name', models.CharField(max_length=255)),
                ('importhostid', models.ForeignKey(to='symonitoring_model.Importhost', db_column='importHostId')),
            ],
            options={
                'db_table': 'ImportHostInclude',
            },
            bases=(models.Model,),
        ),
        migrations.CreateModel(
            name='Importservice',
            fields=[
                ('id', models.AutoField(serialize=False, primary_key=True)),
                ('host_name', models.CharField(max_length=255, null=True)),
                ('hostgroup_name', models.CharField(max_length=255, null=True, blank=True)),
                ('service_description', models.CharField(max_length=255, null=True, blank=True)),
                ('check_command', models.CharField(max_length=255, null=True, blank=True)),
                ('max_check_attempts', models.IntegerField(null=True)),
                ('check_interval', models.IntegerField(null=True)),
                ('retry_interval', models.IntegerField(null=True)),
                ('name', models.CharField(max_length=255, null=True)),
                ('register', models.BooleanField(default=False)),
                ('fileid', models.ForeignKey(to='symonitoring_model.Importfile', db_column='fileId')),
            ],
            options={
                'db_table': 'ImportService',
            },
            bases=(models.Model,),
        ),
        migrations.CreateModel(
            name='Importserviceinclude',
            fields=[
                ('id', models.AutoField(serialize=False, primary_key=True)),
                ('name', models.CharField(max_length=255)),
                ('importserviceid', models.ForeignKey(to='symonitoring_model.Importservice', db_column='importServiceId')),
            ],
            options={
                'db_table': 'ImportServiceInclude',
            },
            bases=(models.Model,),
        ),
        migrations.CreateModel(
            name='Infofeed',
            fields=[
                ('id', models.AutoField(serialize=False, primary_key=True)),
                ('onalert', models.BooleanField(db_column='onAlert', default=False)),
                ('onwarning', models.BooleanField(db_column='onWarning', default=False)),
                ('onacknowledge', models.BooleanField(db_column='onAcknowledge', default=False)),
            ],
            options={
                'db_table': 'Infofeed',
            },
            bases=(models.Model,),
        ),
        migrations.CreateModel(
            name='InfofeedCustomer',
            fields=[
                ('id', models.AutoField(serialize=False, primary_key=True)),
                ('customerid', models.ForeignKey(to='symonitoring_model.Customer', db_column='customerId')),
                ('infofeedid', models.ForeignKey(to='symonitoring_model.Infofeed', db_column='infofeedId')),
            ],
            options={
                'db_table': 'Infofeed_Customer',
            },
            bases=(models.Model,),
        ),
        migrations.CreateModel(
            name='InfofeedCustomerExcludedHosts',
            fields=[
                ('id', models.AutoField(serialize=False, primary_key=True)),
                ('hostid', models.ForeignKey(to='symonitoring_model.Host', db_column='hostId')),
                ('infofeedcustomerid', models.ForeignKey(to='symonitoring_model.InfofeedCustomer', db_column='infofeedCustomerId')),
            ],
            options={
                'db_table': 'Infofeed_Customer_Excluded_Hosts',
            },
            bases=(models.Model,),
        ),
        migrations.CreateModel(
            name='InfofeedHost',
            fields=[
                ('id', models.AutoField(serialize=False, primary_key=True)),
                ('hostid', models.ForeignKey(to='symonitoring_model.Host', db_column='hostId')),
                ('infofeedid', models.ForeignKey(to='symonitoring_model.Infofeed', db_column='infofeedId')),
            ],
            options={
                'db_table': 'Infofeed_Host',
            },
            bases=(models.Model,),
        ),
        migrations.CreateModel(
            name='InfofeedHostgroup',
            fields=[
                ('id', models.AutoField(serialize=False, primary_key=True)),
                ('hostgroupid', models.ForeignKey(to='symonitoring_model.Hostgroup', db_column='hostGroupId')),
                ('infofeedid', models.ForeignKey(to='symonitoring_model.Infofeed', db_column='infofeedId')),
            ],
            options={
                'db_table': 'Infofeed_HostGroup',
            },
            bases=(models.Model,),
        ),
        migrations.CreateModel(
            name='InfofeedHostgroupExcludedHosts',
            fields=[
                ('id', models.AutoField(serialize=False, primary_key=True)),
                ('hostid', models.ForeignKey(to='symonitoring_model.Host', db_column='hostId')),
                ('infofeedhostgroupid', models.ForeignKey(to='symonitoring_model.InfofeedHostgroup', db_column='infofeedHostGroupId')),
            ],
            options={
                'db_table': 'Infofeed_HostGroup_Excluded_Hosts',
            },
            bases=(models.Model,),
        ),
        migrations.CreateModel(
            name='InfofeedNotificationtype',
            fields=[
                ('id', models.AutoField(serialize=False, primary_key=True)),
                ('infofeedid', models.ForeignKey(to='symonitoring_model.Infofeed', db_column='infofeedId')),
            ],
            options={
                'db_table': 'Infofeed_NotificationType',
            },
            bases=(models.Model,),
        ),
        migrations.CreateModel(
            name='Maintenancechecklist',
            fields=[
                ('id', models.AutoField(serialize=False, primary_key=True)),
                ('name', models.CharField(max_length=255, unique=True)),
                ('comment', models.TextField()),
                ('istemplate', models.BooleanField(db_column='isTemplate', default=False)),
            ],
            options={
                'db_table': 'MaintenanceChecklist',
            },
            bases=(models.Model,),
        ),
        migrations.CreateModel(
            name='Maintenancechecklist_Question',
            fields=[
                ('id', models.AutoField(serialize=False, primary_key=True)),
                ('checklistid', models.ForeignKey(to='symonitoring_model.Maintenancechecklist', db_column='checklistId')),
            ],
            options={
                'db_table': 'MaintenanceChecklist_Question',
            },
            bases=(models.Model,),
        ),
        migrations.CreateModel(
            name='MaintenancechecklistExcludedquestion',
            fields=[
                ('id', models.AutoField(serialize=False, primary_key=True)),
            ],
            options={
                'db_table': 'MaintenanceChecklist_ExcludedQuestion',
            },
            bases=(models.Model,),
        ),
        migrations.CreateModel(
            name='MaintenancechecklistHost',
            fields=[
                ('id', models.AutoField(serialize=False, primary_key=True)),
                ('checklistid', models.ForeignKey(to='symonitoring_model.Maintenancechecklist', db_column='checklistId')),
                ('hostid', models.ForeignKey(to='symonitoring_model.Host', db_column='hostId')),
            ],
            options={
                'db_table': 'MaintenanceChecklist_Host',
            },
            bases=(models.Model,),
        ),
        migrations.CreateModel(
            name='MaintenancechecklistMaintenancegroup',
            fields=[
                ('id', models.AutoField(auto_created=True, verbose_name='ID', serialize=False, primary_key=True)),
                ('checklistid', models.ForeignKey(to='symonitoring_model.Maintenancechecklist', db_column='checklistId')),
            ],
            options={
                'db_table': 'MaintenanceChecklist_MaintenanceGroup',
            },
            bases=(models.Model,),
        ),
        migrations.CreateModel(
            name='Maintenancechecklistquestion',
            fields=[
                ('id', models.AutoField(serialize=False, primary_key=True)),
                ('name', models.CharField(max_length=255)),
                ('comment', models.TextField()),
            ],
            options={
                'db_table': 'MaintenanceChecklistQuestion',
            },
            bases=(models.Model,),
        ),
        migrations.CreateModel(
            name='Maintenancecomment',
            fields=[
                ('id', models.AutoField(serialize=False, primary_key=True)),
                ('timestamp', models.DateTimeField(auto_now_add=True)),
                ('comment', models.TextField(null=True, blank=True)),
                ('newosversionid', models.ForeignKey(null=True, to='symonitoring_model.Hostosversion', db_column='newOsVersionId', related_name='new_version_maintenancecomment_set')),
            ],
            options={
                'db_table': 'MaintenanceComment',
            },
            bases=(models.Model,),
        ),
        migrations.CreateModel(
            name='MaintenancecommentMaintenancetag',
            fields=[
                ('id', models.AutoField(serialize=False, primary_key=True)),
                ('commentid', models.ForeignKey(to='symonitoring_model.Maintenancecomment', db_column='commentId')),
            ],
            options={
                'db_table': 'MaintenanceComment_MaintenanceTag',
            },
            bases=(models.Model,),
        ),
        migrations.CreateModel(
            name='Maintenancecycle',
            fields=[
                ('id', models.AutoField(serialize=False, primary_key=True)),
                ('name', models.CharField(max_length=255)),
                ('interval', models.IntegerField()),
            ],
            options={
                'db_table': 'MaintenanceCycle',
            },
            bases=(models.Model,),
        ),
        migrations.CreateModel(
            name='Maintenancegroup',
            fields=[
                ('id', models.AutoField(serialize=False, primary_key=True)),
                ('name', models.CharField(max_length=40)),
                ('description', models.CharField(max_length=255, blank=True)),
                ('datestart', models.DateField(null=True, db_column='dateStart')),
                ('maintenancecycleid', models.ForeignKey(null=True, to='symonitoring_model.Maintenancecycle', db_column='maintenanceCycleId')),
            ],
            options={
                'db_table': 'MaintenanceGroup',
            },
            bases=(models.Model,),
        ),
        migrations.CreateModel(
            name='MaintenancegroupHost',
            fields=[
                ('id', models.AutoField(serialize=False, primary_key=True)),
                ('groupid', models.ForeignKey(to='symonitoring_model.Maintenancegroup', db_column='groupId')),
                ('hostid', models.ForeignKey(to='symonitoring_model.Host', db_column='hostId')),
            ],
            options={
                'db_table': 'MaintenanceGroup_Host',
            },
            bases=(models.Model,),
        ),
        migrations.CreateModel(
            name='MaintenancehostQuestion',
            fields=[
                ('id', models.AutoField(serialize=False, primary_key=True)),
                ('comment', models.TextField(null=True, blank=True)),
                ('ischecked', models.BooleanField(db_column='isChecked', default=False)),
                ('questionid', models.ForeignKey(to='symonitoring_model.Maintenancechecklistquestion', db_column='questionId')),
            ],
            options={
                'db_table': 'MaintenanceHost_Question',
            },
            bases=(models.Model,),
        ),
        migrations.CreateModel(
            name='Maintenancestate',
            fields=[
                ('id', models.AutoField(serialize=False, primary_key=True)),
                ('name', models.CharField(max_length=255)),
            ],
            options={
                'db_table': 'MaintenanceState',
            },
            bases=(models.Model,),
        ),
        migrations.CreateModel(
            name='Maintenancetag',
            fields=[
                ('id', models.AutoField(serialize=False, primary_key=True)),
                ('name', models.CharField(max_length=255, unique=True)),
                ('description', models.CharField(max_length=255, blank=True)),
            ],
            options={
                'db_table': 'MaintenanceTag',
            },
            bases=(models.Model,),
        ),
        migrations.CreateModel(
            name='Maintenanceticket',
            fields=[
                ('id', models.AutoField(serialize=False, primary_key=True)),
                ('datecreated', models.DateField(db_column='dateCreated')),
                ('datedue', models.DateField(null=True, db_column='dateDue')),
                ('datearchived', models.DateField(null=True, db_column='dateArchived')),
                ('groupid', models.ForeignKey(null=True, to='symonitoring_model.Maintenancegroup', db_column='groupId')),
            ],
            options={
                'db_table': 'MaintenanceTicket',
            },
            bases=(models.Model,),
        ),
        migrations.CreateModel(
            name='Maintenancetickethost',
            fields=[
                ('id', models.AutoField(serialize=False, primary_key=True)),
                ('datetimechanged', models.DateTimeField(db_column='datetimeChanged')),
                ('hostid', models.ForeignKey(to='symonitoring_model.Host', db_column='hostId')),
                ('stateid', models.ForeignKey(to='symonitoring_model.Maintenancestate', db_column='stateId')),
                ('ticketid', models.ForeignKey(to='symonitoring_model.Maintenanceticket', db_column='ticketId')),
            ],
            options={
                'db_table': 'MaintenanceTicketHost',
            },
            bases=(models.Model,),
        ),
        migrations.CreateModel(
            name='McMc',
            fields=[
                ('id', models.AutoField(serialize=False, primary_key=True)),
                ('checklistid', models.ForeignKey(to='symonitoring_model.Maintenancechecklist', db_column='checklistId', related_name='checklist_mcmc_set')),
                ('parentid', models.ForeignKey(to='symonitoring_model.Maintenancechecklist', db_column='parentId', related_name='parent_mcmc_set')),
            ],
            options={
                'db_table': 'MC_MC',
            },
            bases=(models.Model,),
        ),
        migrations.CreateModel(
            name='Nagioslog',
            fields=[
                ('id', models.AutoField(serialize=False, primary_key=True)),
                ('timestamp', models.DateTimeField(auto_now_add=True)),
                ('objecttype', models.CharField(choices=[('HOST', 'HOST'), ('SERVICE', 'SERVICE')], max_length=7, db_column='objectType')),
                ('statetype', models.CharField(choices=[('SOFT', 'SOFT'), ('HARD', 'HARD')], max_length=4, db_column='stateType')),
                ('state', models.CharField(choices=[('UP', 'UP'), ('DOWN', 'DOWN'), ('UNREACHABLE', 'UNREACHABLE'), ('OK', 'OK'), ('WARNING', 'WARNING')], max_length=11)),
                ('name', models.CharField(max_length=255)),
                ('hostname', models.CharField(max_length=255)),
                ('checkcommand', models.CharField(max_length=32, db_column='checkCommand')),
                ('address', models.CharField(max_length=39)),
                ('output', models.TextField()),
                ('perfdata', models.TextField(null=True)),
                ('duration', models.CharField(max_length=11)),
                ('datetime', models.DateTimeField()),
                ('attempt', models.IntegerField()),
                ('processed', models.CharField(max_length=2)),
                ('problemid', models.IntegerField(db_column='problemId')),
                ('lastproblemid', models.IntegerField(db_column='lastProblemId')),
            ],
            options={
                'db_table': 'NagiosLog',
            },
            bases=(models.Model,),
        ),
        migrations.CreateModel(
            name='Notificationsetting',
            fields=[
                ('id', models.AutoField(serialize=False, primary_key=True)),
                ('enabled', models.BooleanField(default=False)),
                ('customerid', models.ForeignKey(to='symonitoring_model.Customer', db_column='customerId')),
            ],
            options={
                'db_table': 'NotificationSetting',
            },
            bases=(models.Model,),
        ),
        migrations.CreateModel(
            name='Notificationtype',
            fields=[
                ('id', models.AutoField(serialize=False, primary_key=True)),
                ('name', models.CharField(max_length=32)),
                ('description', models.CharField(max_length=255)),
                ('multiple', models.BooleanField(default=True)),
                ('repeats', models.IntegerField()),
            ],
            options={
                'db_table': 'NotificationType',
            },
            bases=(models.Model,),
        ),
        migrations.CreateModel(
            name='Permission',
            fields=[
                ('id', models.AutoField(serialize=False, primary_key=True)),
                ('name', models.CharField(max_length=32, unique=True)),
                ('description', models.CharField(max_length=255)),
                ('globalonly', models.BooleanField(db_column='globalOnly', default=False)),
            ],
            options={
                'db_table': 'Permission',
            },
            bases=(models.Model,),
        ),
        migrations.CreateModel(
            name='Report',
            fields=[
                ('id', models.AutoField(serialize=False, primary_key=True)),
                ('timestamp', models.DateTimeField(auto_now_add=True)),
                ('userid', models.IntegerField(db_column='userId')),
                ('customerid', models.IntegerField(db_column='customerId')),
                ('datefrom', models.DateTimeField(db_column='dateFrom')),
                ('dateto', models.DateTimeField(db_column='dateTo')),
                ('istemplate', models.IntegerField(db_column='isTemplate')),
            ],
            options={
                'db_table': 'Report',
            },
            bases=(models.Model,),
        ),
        migrations.CreateModel(
            name='ReportHost',
            fields=[
                ('id', models.AutoField(serialize=False, primary_key=True)),
                ('hostid', models.ForeignKey(to='symonitoring_model.Host', db_column='hostId')),
                ('reportid', models.ForeignKey(to='symonitoring_model.Report', db_column='reportId')),
            ],
            options={
                'db_table': 'Report_Host',
            },
            bases=(models.Model,),
        ),
        migrations.CreateModel(
            name='Role',
            fields=[
                ('id', models.AutoField(serialize=False, primary_key=True)),
                ('name', models.CharField(max_length=32, unique=True)),
                ('description', models.CharField(max_length=255)),
                ('ldapgroup', models.CharField(null=True, max_length=255, db_column='ldapGroup')),
            ],
            options={
                'db_table': 'Role',
            },
            bases=(models.Model,),
        ),
        migrations.CreateModel(
            name='RolePermission',
            fields=[
                ('id', models.AutoField(serialize=False, primary_key=True)),
                ('permissionid', models.ForeignKey(to='symonitoring_model.Permission', db_column='permissionId')),
                ('roleid', models.ForeignKey(to='symonitoring_model.Role', db_column='roleId')),
            ],
            options={
                'db_table': 'Role_Permission',
            },
            bases=(models.Model,),
        ),
        migrations.CreateModel(
            name='RoleRole',
            fields=[
                ('id', models.AutoField(serialize=False, primary_key=True)),
                ('assignedroleid', models.ForeignKey(to='symonitoring_model.Role', db_column='assignedRoleId', related_name='assigned_rolerole_set')),
                ('roleid', models.ForeignKey(to='symonitoring_model.Role', db_column='roleId', related_name='role_rolerole_set')),
            ],
            options={
                'db_table': 'Role_Role',
            },
            bases=(models.Model,),
        ),
        migrations.CreateModel(
            name='Service',
            fields=[
                ('id', models.AutoField(serialize=False, primary_key=True)),
                ('name', models.CharField(max_length=255, unique=True)),
                ('description', models.CharField(max_length=255)),
                ('maxcheckattempts', models.IntegerField(db_column='maxCheckAttempts')),
                ('checkinterval', models.IntegerField(db_column='checkInterval')),
                ('retryinterval', models.IntegerField(db_column='retryInterval')),
                ('freshness', models.IntegerField()),
                ('isnrpe', models.BooleanField(default=False, db_column='isNrpe', db_index=True)),
                ('isdeleted', models.BooleanField(db_column='isDeleted', default=False)),
                ('commandid', models.ForeignKey(to='symonitoring_model.Command', db_column='commandId')),
                ('customerid', models.ForeignKey(null=True, to='symonitoring_model.Customer', db_column='customerId')),
            ],
            options={
                'db_table': 'Service',
            },
            bases=(models.Model,),
        ),
        migrations.CreateModel(
            name='Serviceargument',
            fields=[
                ('id', models.AutoField(serialize=False, primary_key=True)),
                ('position', models.IntegerField(db_index=True)),
                ('option', models.CharField(max_length=255, null=True, blank=True)),
                ('value', models.CharField(max_length=255, null=True, blank=True)),
                ('description', models.CharField(max_length=255, null=True, blank=True)),
                ('type', models.CharField(choices=[('Fixed', 'Fixed'), ('Variable', 'Variable')], max_length=8)),
                ('serviceid', models.ForeignKey(to='symonitoring_model.Service', db_column='serviceId')),
            ],
            options={
                'db_table': 'ServiceArgument',
            },
            bases=(models.Model,),
        ),
        migrations.CreateModel(
            name='Servicegroup',
            fields=[
                ('id', models.AutoField(serialize=False, primary_key=True)),
                ('name', models.CharField(max_length=255)),
                ('description', models.CharField(max_length=255)),
                ('customerid', models.ForeignKey(null=True, to='symonitoring_model.Customer', db_column='customerId')),
            ],
            options={
                'db_table': 'ServiceGroup',
            },
            bases=(models.Model,),
        ),
        migrations.CreateModel(
            name='Servicegroupmember',
            fields=[
                ('id', models.AutoField(serialize=False, primary_key=True)),
                ('ispassive', models.BooleanField(db_column='isPassive', default=False)),
                ('isenabled', models.BooleanField(db_column='isEnabled', default=True)),
                ('groupid', models.ForeignKey(to='symonitoring_model.Servicegroup', db_column='groupId')),
                ('serviceid', models.ForeignKey(to='symonitoring_model.Service', db_column='serviceId')),
            ],
            options={
                'db_table': 'ServiceGroupMember',
            },
            bases=(models.Model,),
        ),
        migrations.CreateModel(
            name='Setting',
            fields=[
                ('key', models.CharField(serialize=False, max_length=255, primary_key=True)),
                ('value', models.CharField(max_length=255, null=True, blank=True)),
            ],
            options={
                'db_table': 'Setting',
            },
            bases=(models.Model,),
        ),
        migrations.CreateModel(
            name='Sla',
            fields=[
                ('id', models.AutoField(serialize=False, primary_key=True)),
                ('name', models.CharField(max_length=32, unique=True)),
                ('description', models.TextField()),
                ('delaycycle', models.IntegerField(db_column='delayCycle')),
                ('delayrestart', models.IntegerField(db_column='delayRestart')),
                ('timeout', models.IntegerField()),
                ('minavailability', models.FloatField(db_column='minAvailability')),
                ('isdeleted', models.BooleanField(db_column='isDeleted', default=False)),
                ('customerid', models.ForeignKey(null=True, to='symonitoring_model.Customer', db_column='customerId')),
            ],
            options={
                'db_table': 'SLA',
            },
            bases=(models.Model,),
        ),
        migrations.CreateModel(
            name='Slaaction',
            fields=[
                ('id', models.AutoField(serialize=False, primary_key=True)),
                ('name', models.CharField(max_length=32)),
                ('description', models.CharField(max_length=255)),
                ('multiple', models.BooleanField(default=True)),
                ('repeats', models.IntegerField(default=5)),
            ],
            options={
                'db_table': 'SLAAction',
            },
            bases=(models.Model,),
        ),
        migrations.CreateModel(
            name='Timeframe',
            fields=[
                ('id', models.AutoField(serialize=False, primary_key=True)),
                ('monday', models.BooleanField(default=False)),
                ('tuesday', models.BooleanField(default=False)),
                ('wednesday', models.BooleanField(default=False)),
                ('thursday', models.BooleanField(default=False)),
                ('friday', models.BooleanField(default=False)),
                ('saturday', models.BooleanField(default=False)),
                ('sunday', models.BooleanField(default=False)),
                ('timefrom', models.TimeField(db_column='timeFrom')),
                ('timeto', models.TimeField(db_column='timeTo')),
                ('customerid', models.ForeignKey(null=True, to='symonitoring_model.Customer', db_column='customerId')),
                ('slaid', models.ForeignKey(to='symonitoring_model.Sla', db_column='slaId')),
            ],
            options={
                'db_table': 'Timeframe',
            },
            bases=(models.Model,),
        ),
        migrations.CreateModel(
            name='Timeframerule',
            fields=[
                ('id', models.AutoField(serialize=False, primary_key=True)),
                ('delay', models.IntegerField()),
                ('actionid', models.ForeignKey(to='symonitoring_model.Slaaction', db_column='actionId')),
                ('timeframeid', models.ForeignKey(to='symonitoring_model.Timeframe', db_column='timeframeId')),
            ],
            options={
                'db_table': 'TimeframeRule',
            },
            bases=(models.Model,),
        ),
        migrations.CreateModel(
            name='User',
            fields=[
                ('id', models.AutoField(serialize=False, primary_key=True)),
                ('name', models.CharField(max_length=32, unique=True)),
                ('fullname', models.CharField(max_length=255, db_column='fullName')),
                ('passwordhash', models.CharField(null=True, max_length=40, db_column='passwordHash')),
                ('passwordsalt', models.CharField(null=True, max_length=32, db_column='passwordSalt')),
                ('phone', models.CharField(max_length=20, null=True)),
                ('sms', models.CharField(max_length=20, null=True)),
                ('email', models.CharField(max_length=255, null=True)),
                ('jabber', models.CharField(max_length=255, null=True)),
                ('authenticationmethod', models.CharField(choices=[('LDAP', 'LDAP'), ('MYSQL', 'MYSQL')], max_length=5, db_column='authenticationMethod')),
                ('emergency', models.BooleanField(default=False)),
                ('isenabled', models.BooleanField(db_column='isEnabled', default=True)),
                ('isdeleted', models.BooleanField(db_column='isDeleted', default=False)),
                ('customerid', models.ForeignKey(to='symonitoring_model.Customer', db_column='customerId')),
            ],
            options={
                'db_table': 'User',
            },
            bases=(models.Model,),
        ),
        migrations.CreateModel(
            name='UserCustomer',
            fields=[
                ('id', models.AutoField(serialize=False, primary_key=True)),
                ('customerid', models.ForeignKey(to='symonitoring_model.Customer', db_column='customerId')),
                ('userid', models.ForeignKey(to='symonitoring_model.User', db_column='userId')),
            ],
            options={
                'db_table': 'User_Customer',
            },
            bases=(models.Model,),
        ),
        migrations.CreateModel(
            name='Userlogin',
            fields=[
                ('id', models.AutoField(serialize=False, primary_key=True)),
                ('timestamp', models.DateTimeField(auto_now_add=True)),
                ('ip', models.CharField(max_length=15, db_column='IP')),
                ('userid', models.ForeignKey(to='symonitoring_model.User', db_column='userId')),
            ],
            options={
                'db_table': 'UserLogin',
            },
            bases=(models.Model,),
        ),
        migrations.CreateModel(
            name='UserRoleCustomer',
            fields=[
                ('id', models.AutoField(serialize=False, primary_key=True)),
                ('roleid', models.IntegerField(db_column='roleId')),
                ('usercustomerid', models.ForeignKey(to='symonitoring_model.UserCustomer', db_column='userCustomerId')),
            ],
            options={
                'db_table': 'User_Role_Customer',
            },
            bases=(models.Model,),
        ),
        migrations.AlterUniqueTogether(
            name='userrolecustomer',
            unique_together=set([('roleid', 'usercustomerid')]),
        ),
        migrations.AlterIndexTogether(
            name='userrolecustomer',
            index_together=set([('roleid', 'usercustomerid')]),
        ),
        migrations.AlterUniqueTogether(
            name='usercustomer',
            unique_together=set([('userid', 'customerid')]),
        ),
        migrations.AlterIndexTogether(
            name='usercustomer',
            index_together=set([('userid', 'customerid')]),
        ),
        migrations.AlterUniqueTogether(
            name='servicegroupmember',
            unique_together=set([('groupid', 'serviceid')]),
        ),
        migrations.AlterIndexTogether(
            name='servicegroupmember',
            index_together=set([('groupid', 'serviceid')]),
        ),
        migrations.AddField(
            model_name='service',
            name='slaid',
            field=models.ForeignKey(null=True, to='symonitoring_model.Sla', db_column='slaId'),
            preserve_default=True,
        ),
        migrations.AddField(
            model_name='notificationsetting',
            name='slaactionid',
            field=models.ForeignKey(to='symonitoring_model.Slaaction', db_column='slaActionId'),
            preserve_default=True,
        ),
        migrations.AlterUniqueTogether(
            name='mcmc',
            unique_together=set([('checklistid', 'parentid')]),
        ),
        migrations.AlterIndexTogether(
            name='mcmc',
            index_together=set([('checklistid', 'parentid')]),
        ),
        migrations.AddField(
            model_name='maintenanceticket',
            name='userid',
            field=models.ForeignKey(null=True, to='symonitoring_model.User', db_column='userId'),
            preserve_default=True,
        ),
        migrations.AddField(
            model_name='maintenancehostquestion',
            name='tickethostid',
            field=models.ForeignKey(to='symonitoring_model.Maintenancetickethost', db_column='ticketHostId'),
            preserve_default=True,
        ),
        migrations.AlterUniqueTogether(
            name='maintenancehostquestion',
            unique_together=set([('tickethostid', 'questionid')]),
        ),
        migrations.AlterIndexTogether(
            name='maintenancehostquestion',
            index_together=set([('tickethostid', 'questionid')]),
        ),
        migrations.AlterUniqueTogether(
            name='maintenancegrouphost',
            unique_together=set([('hostid', 'groupid')]),
        ),
        migrations.AlterIndexTogether(
            name='maintenancegrouphost',
            index_together=set([('hostid', 'groupid')]),
        ),
        migrations.AddField(
            model_name='maintenancecommentmaintenancetag',
            name='tagid',
            field=models.ForeignKey(to='symonitoring_model.Maintenancetag', db_column='tagId'),
            preserve_default=True,
        ),
        migrations.AlterUniqueTogether(
            name='maintenancecommentmaintenancetag',
            unique_together=set([('commentid', 'tagid')]),
        ),
        migrations.AlterIndexTogether(
            name='maintenancecommentmaintenancetag',
            index_together=set([('commentid', 'tagid')]),
        ),
        migrations.AddField(
            model_name='maintenancecomment',
            name='newstateid',
            field=models.ForeignKey(null=True, to='symonitoring_model.Maintenancestate', db_column='newStateId', related_name='new_state_maintenancecomment_set'),
            preserve_default=True,
        ),
        migrations.AddField(
            model_name='maintenancecomment',
            name='oldosversionid',
            field=models.ForeignKey(null=True, to='symonitoring_model.Hostosversion', db_column='oldOsVersionId', related_name='old_version_maintenancecomment_set'),
            preserve_default=True,
        ),
        migrations.AddField(
            model_name='maintenancecomment',
            name='oldstateid',
            field=models.ForeignKey(null=True, to='symonitoring_model.Maintenancestate', db_column='oldStateId', related_name='old_state_maintenancecomment_set'),
            preserve_default=True,
        ),
        migrations.AddField(
            model_name='maintenancecomment',
            name='tickethostid',
            field=models.ForeignKey(to='symonitoring_model.Maintenancetickethost', db_column='ticketHostId'),
            preserve_default=True,
        ),
        migrations.AddField(
            model_name='maintenancecomment',
            name='userid',
            field=models.ForeignKey(to='symonitoring_model.User', db_column='userId'),
            preserve_default=True,
        ),
        migrations.AddField(
            model_name='maintenancechecklistmaintenancegroup',
            name='groupid',
            field=models.ForeignKey(to='symonitoring_model.Maintenancegroup', db_column='groupId'),
            preserve_default=True,
        ),
        migrations.AlterUniqueTogether(
            name='maintenancechecklisthost',
            unique_together=set([('checklistid', 'hostid')]),
        ),
        migrations.AlterIndexTogether(
            name='maintenancechecklisthost',
            index_together=set([('checklistid', 'hostid')]),
        ),
        migrations.AddField(
            model_name='maintenancechecklistexcludedquestion',
            name='checklist_questionid',
            field=models.ForeignKey(to='symonitoring_model.Maintenancechecklist_Question', db_column='checklist_questionId'),
            preserve_default=True,
        ),
        migrations.AddField(
            model_name='maintenancechecklistexcludedquestion',
            name='groupid',
            field=models.ForeignKey(null=True, to='symonitoring_model.Maintenancegroup', db_column='groupId'),
            preserve_default=True,
        ),
        migrations.AddField(
            model_name='maintenancechecklistexcludedquestion',
            name='hostid',
            field=models.ForeignKey(null=True, to='symonitoring_model.Host', db_column='hostId'),
            preserve_default=True,
        ),
        migrations.AddField(
            model_name='maintenancechecklist_question',
            name='questionid',
            field=models.ForeignKey(to='symonitoring_model.Maintenancechecklistquestion', db_column='questionId'),
            preserve_default=True,
        ),
        migrations.AddField(
            model_name='infofeednotificationtype',
            name='slaactionid',
            field=models.ForeignKey(to='symonitoring_model.Slaaction', db_column='slaActionId'),
            preserve_default=True,
        ),
        migrations.AlterUniqueTogether(
            name='infofeednotificationtype',
            unique_together=set([('infofeedid', 'slaactionid')]),
        ),
        migrations.AlterIndexTogether(
            name='infofeednotificationtype',
            index_together=set([('infofeedid', 'slaactionid')]),
        ),
        migrations.AlterUniqueTogether(
            name='infofeedhostgroupexcludedhosts',
            unique_together=set([('infofeedhostgroupid', 'hostid')]),
        ),
        migrations.AlterIndexTogether(
            name='infofeedhostgroupexcludedhosts',
            index_together=set([('infofeedhostgroupid', 'hostid')]),
        ),
        migrations.AlterUniqueTogether(
            name='infofeedhostgroup',
            unique_together=set([('infofeedid', 'hostgroupid')]),
        ),
        migrations.AlterIndexTogether(
            name='infofeedhostgroup',
            index_together=set([('infofeedid', 'hostgroupid')]),
        ),
        migrations.AlterUniqueTogether(
            name='infofeedhost',
            unique_together=set([('infofeedid', 'hostid')]),
        ),
        migrations.AlterIndexTogether(
            name='infofeedhost',
            index_together=set([('infofeedid', 'hostid')]),
        ),
        migrations.AlterUniqueTogether(
            name='infofeedcustomerexcludedhosts',
            unique_together=set([('infofeedcustomerid', 'hostid')]),
        ),
        migrations.AlterIndexTogether(
            name='infofeedcustomerexcludedhosts',
            index_together=set([('infofeedcustomerid', 'hostid')]),
        ),
        migrations.AlterUniqueTogether(
            name='infofeedcustomer',
            unique_together=set([('infofeedid', 'customerid')]),
        ),
        migrations.AlterIndexTogether(
            name='infofeedcustomer',
            index_together=set([('infofeedid', 'customerid')]),
        ),
        migrations.AddField(
            model_name='infofeed',
            name='userid',
            field=models.ForeignKey(to='symonitoring_model.User', db_column='userId'),
            preserve_default=True,
        ),
        migrations.AddField(
            model_name='importservice',
            name='serviceid',
            field=models.ForeignKey(null=True, to='symonitoring_model.Service', db_column='serviceId'),
            preserve_default=True,
        ),
        migrations.AddField(
            model_name='importcommand',
            name='fileid',
            field=models.ForeignKey(to='symonitoring_model.Importfile', db_column='fileId'),
            preserve_default=True,
        ),
        migrations.AddField(
            model_name='hostserviceinstance',
            name='slaid',
            field=models.ForeignKey(null=True, to='symonitoring_model.Sla', db_column='slaId'),
            preserve_default=True,
        ),
        migrations.AddField(
            model_name='hostserviceargument',
            name='instanceid',
            field=models.ForeignKey(null=True, to='symonitoring_model.Hostserviceinstance', db_column='instanceId'),
            preserve_default=True,
        ),
        migrations.AddField(
            model_name='hostserviceargument',
            name='serviceargumentid',
            field=models.ForeignKey(to='symonitoring_model.Serviceargument', db_column='serviceArgumentId'),
            preserve_default=True,
        ),
        migrations.AddField(
            model_name='hostservice',
            name='serviceid',
            field=models.ForeignKey(to='symonitoring_model.Service', db_column='serviceId'),
            preserve_default=True,
        ),
        migrations.AlterUniqueTogether(
            name='hostgrouphost',
            unique_together=set([('hostgroupid', 'hostid')]),
        ),
        migrations.AlterIndexTogether(
            name='hostgrouphost',
            index_together=set([('hostgroupid', 'hostid')]),
        ),
        migrations.AddField(
            model_name='host',
            name='osid',
            field=models.ForeignKey(to='symonitoring_model.Hostos', db_column='osId'),
            preserve_default=True,
        ),
        migrations.AddField(
            model_name='host',
            name='osversionid',
            field=models.ForeignKey(null=True, to='symonitoring_model.Hostosversion', db_column='osVersionId'),
            preserve_default=True,
        ),
        migrations.AddField(
            model_name='host',
            name='satelliteid',
            field=models.ForeignKey(null=True, to='symonitoring_model.Host', db_column='satelliteId', related_name='satellite_set'),
            preserve_default=True,
        ),
        migrations.AddField(
            model_name='host',
            name='slaid',
            field=models.ForeignKey(null=True, to='symonitoring_model.Sla', db_column='slaId'),
            preserve_default=True,
        ),
        migrations.AddField(
            model_name='host',
            name='typeid',
            field=models.ForeignKey(null=True, to='symonitoring_model.Hosttype', db_column='typeId'),
            preserve_default=True,
        ),
        migrations.AddField(
            model_name='guideline',
            name='userid',
            field=models.ForeignKey(to='symonitoring_model.User', db_column='userId'),
            preserve_default=True,
        ),
        migrations.AddField(
            model_name='guideline',
            name='versionid',
            field=models.ForeignKey(to='symonitoring_model.Hostosversion', db_column='versionId'),
            preserve_default=True,
        ),
        migrations.AddField(
            model_name='downtime',
            name='hostid',
            field=models.ForeignKey(to='symonitoring_model.Host', db_column='hostId'),
            preserve_default=True,
        ),
        migrations.AddField(
            model_name='downtime',
            name='serviceinstanceid',
            field=models.ForeignKey(null=True, to='symonitoring_model.Hostserviceinstance', db_column='serviceInstanceId', blank=True),
            preserve_default=True,
        ),
        migrations.AddField(
            model_name='customerteam',
            name='userid',
            field=models.ForeignKey(to='symonitoring_model.User', db_column='userId'),
            preserve_default=True,
        ),
        migrations.AddField(
            model_name='customerrole',
            name='roleid',
            field=models.ForeignKey(to='symonitoring_model.Role', db_column='roleId'),
            preserve_default=True,
        ),
        migrations.AlterUniqueTogether(
            name='customerrole',
            unique_together=set([('roleid', 'ldapgroup')]),
        ),
        migrations.AlterIndexTogether(
            name='customerrole',
            index_together=set([('roleid', 'ldapgroup')]),
        ),
        migrations.AddField(
            model_name='customer',
            name='parentid',
            field=models.ForeignKey(null=True, to='symonitoring_model.Customer', db_column='parentId'),
            preserve_default=True,
        ),
        migrations.AddField(
            model_name='customer',
            name='slaid',
            field=models.ForeignKey(to='symonitoring_model.Sla', db_column='slaId'),
            preserve_default=True,
        ),
        migrations.AddField(
            model_name='checkresult',
            name='hostid',
            field=models.ForeignKey(to='symonitoring_model.Host', db_column='hostId'),
            preserve_default=True,
        ),
        migrations.AddField(
            model_name='checkresult',
            name='serviceinstanceid',
            field=models.ForeignKey(null=True, to='symonitoring_model.Hostserviceinstance', db_column='serviceInstanceId'),
            preserve_default=True,
        ),
        migrations.AddField(
            model_name='bidimensionhost',
            name='customerid',
            field=models.ForeignKey(to='symonitoring_model.Customer', db_column='customerId'),
            preserve_default=True,
        ),
        migrations.AddField(
            model_name='bidimensionhost',
            name='hostid',
            field=models.ForeignKey(to='symonitoring_model.Host', db_column='hostId'),
            preserve_default=True,
        ),
        migrations.AddField(
            model_name='bidimensionhost',
            name='serviceinstanceid',
            field=models.ForeignKey(null=True, to='symonitoring_model.Hostserviceinstance', db_column='serviceInstanceId'),
            preserve_default=True,
        ),
        migrations.AddField(
            model_name='auditlog',
            name='auditlogactionid',
            field=models.ForeignKey(to='symonitoring_model.Auditlogaction', db_column='auditLogActionID'),
            preserve_default=True,
        ),
        migrations.AddField(
            model_name='architecturehostos',
            name='hostosid',
            field=models.ForeignKey(to='symonitoring_model.Hostos', db_column='hostOSId'),
            preserve_default=True,
        ),
        migrations.AlterUniqueTogether(
            name='architecturehostos',
            unique_together=set([('architectureid', 'hostosid')]),
        ),
        migrations.AlterIndexTogether(
            name='architecturehostos',
            index_together=set([('architectureid', 'hostosid')]),
        ),
        migrations.AddField(
            model_name='alerttemplateuser',
            name='slaactionid',
            field=models.ForeignKey(to='symonitoring_model.Slaaction', db_column='slaActionId'),
            preserve_default=True,
        ),
        migrations.AddField(
            model_name='alerttemplateuser',
            name='templateid',
            field=models.ForeignKey(to='symonitoring_model.Alerttemplate', db_column='templateId'),
            preserve_default=True,
        ),
        migrations.AddField(
            model_name='alerttemplateuser',
            name='userid',
            field=models.ForeignKey(null=True, to='symonitoring_model.User', db_column='userId'),
            preserve_default=True,
        ),
        migrations.AlterUniqueTogether(
            name='alerttemplateuser',
            unique_together=set([('userid', 'templateid', 'slaactionid')]),
        ),
        migrations.AlterIndexTogether(
            name='alerttemplateuser',
            index_together=set([('userid', 'templateid', 'slaactionid')]),
        ),
        migrations.AddField(
            model_name='alerttemplate',
            name='slaactionid',
            field=models.ForeignKey(to='symonitoring_model.Slaaction', db_column='slaActionId'),
            preserve_default=True,
        ),
        migrations.AddField(
            model_name='alertnotificationexcludeuser',
            name='customerid',
            field=models.ForeignKey(to='symonitoring_model.Customer', db_column='customerId'),
            preserve_default=True,
        ),
        migrations.AddField(
            model_name='alertnotificationexcludeuser',
            name='slaactionid',
            field=models.ForeignKey(to='symonitoring_model.Slaaction', db_column='slaActionId'),
            preserve_default=True,
        ),
        migrations.AddField(
            model_name='alertnotificationexcludeuser',
            name='userid',
            field=models.ForeignKey(to='symonitoring_model.User', db_column='userId'),
            preserve_default=True,
        ),
        migrations.AddField(
            model_name='alertlog',
            name='typeid',
            field=models.ForeignKey(to='symonitoring_model.Notificationtype', db_column='typeId'),
            preserve_default=True,
        ),
        migrations.AddField(
            model_name='alertlog',
            name='userid',
            field=models.ForeignKey(null=True, to='symonitoring_model.User', db_column='userId'),
            preserve_default=True,
        ),
        migrations.AddField(
            model_name='alertcommentalerttag',
            name='tagid',
            field=models.ForeignKey(to='symonitoring_model.Alerttag', db_column='tagId'),
            preserve_default=True,
        ),
        migrations.AlterUniqueTogether(
            name='alertcommentalerttag',
            unique_together=set([('tagid', 'commentid')]),
        ),
        migrations.AlterIndexTogether(
            name='alertcommentalerttag',
            index_together=set([('tagid', 'commentid')]),
        ),
        migrations.AddField(
            model_name='alertcomment',
            name='userid',
            field=models.ForeignKey(to='symonitoring_model.User', db_column='userId'),
            preserve_default=True,
        ),
        migrations.AddField(
            model_name='alert',
            name='acknowledgedby',
            field=models.ForeignKey(null=True, to='symonitoring_model.User', db_column='acknowledgedBy'),
            preserve_default=True,
        ),
        migrations.AddField(
            model_name='alert',
            name='commandid',
            field=models.ForeignKey(to='symonitoring_model.Command', db_column='commandId'),
            preserve_default=True,
        ),
        migrations.AddField(
            model_name='alert',
            name='customerid',
            field=models.ForeignKey(to='symonitoring_model.Customer', db_column='customerId'),
            preserve_default=True,
        ),
        migrations.AddField(
            model_name='alert',
            name='hostid',
            field=models.ForeignKey(to='symonitoring_model.Host', db_column='hostId'),
            preserve_default=True,
        ),
        migrations.AddField(
            model_name='alert',
            name='serviceinstanceid',
            field=models.ForeignKey(null=True, to='symonitoring_model.Hostserviceinstance', db_column='serviceInstanceId'),
            preserve_default=True,
        ),
        migrations.AddField(
            model_name='alert',
            name='slacustomerid',
            field=models.ForeignKey(null=True, to='symonitoring_model.Customer', db_column='slaCustomerId', related_name='slaalert_set'),
            preserve_default=True,
        ),
        migrations.AddField(
            model_name='alert',
            name='slaid',
            field=models.ForeignKey(null=True, to='symonitoring_model.Sla', db_column='slaId'),
            preserve_default=True,
        ),
    ]
