# -*- coding: utf-8 -*-
# pylint: disable=missing-docstring,unused-argument

from __future__ import unicode_literals

from django.db import migrations

import symonitoring_model.sql_migrators as sql

class AddAutoTimestamp(sql.AddAutoTimestampBase):
    fields = [
        ('AlertComment', 'timestamp', False),
        ('AlertLog', 'timestamp', False),
        ('AuditLogAction', 'timestamp', True),
        ('CheckResult', 'timestamp', True),
        ('MaintenanceComment', 'timestamp', False),
        ('NagiosLog', 'timestamp', False),
        ('Report', 'timestamp', False),
        ('UserLogin', 'timestamp', False),
        ('Host', 'datetimeCreated', False),
        ('MaintenanceTicketHost', 'datetimeChanged', True),
        ('UserLogin', 'timestamp', False),
    ]


class Migration(migrations.Migration):

    dependencies = [
        ('symonitoring_model', '0001_initial'),
    ]

    operations = [
        migrations.RunPython(
            AddAutoTimestamp.forwards_func,
            AddAutoTimestamp.backwards_func
        )
    ]
