# -*- coding: utf-7 -*-
# pylint: disable=missing-docstring,unused-argument,too-many-lines
from __future__ import unicode_literals

from django.db import migrations

import symonitoring_model.sql_migrators as sql

class AddOnEvents(sql.AddOnEventsBase):
    fields = (
        (
            'AlertTimeframeState',
            'alert_id',
            {
                sql.EventType.UPDATE:
                sql.ActionType.CASCADE,
                sql.EventType.DELETE:
                sql.ActionType.CASCADE
            }
        ),
        (
            'AlertTimeframeState',
            'timeframe_id',
            {
                sql.EventType.UPDATE:
                sql.ActionType.CASCADE,
                sql.EventType.DELETE:
                sql.ActionType.CASCADE
            }
        ),
        (
            'Alert',
            'commandId',
            {
                sql.EventType.UPDATE:
                sql.ActionType.CASCADE,
                sql.EventType.DELETE:
                sql.ActionType.PROTECT,
            }
        ),
        (
            'Alert',
            'customerId',
            {
                sql.EventType.UPDATE:
                sql.ActionType.CASCADE,
                sql.EventType.DELETE:
                sql.ActionType.PROTECT,
            }
        ),
        (
            'Alert',
            'slaCustomerId',
            {
                sql.EventType.UPDATE:
                sql.ActionType.CASCADE,
                sql.EventType.DELETE:
                sql.ActionType.PROTECT,
            }
        ),
        (
            'Alert',
            'serviceInstanceId',
            {
                sql.EventType.UPDATE:
                sql.ActionType.CASCADE,
                sql.EventType.DELETE:
                sql.ActionType.PROTECT,
            }
        ),
        (
            'Alert',
            'hostId',
            {
                sql.EventType.UPDATE:
                sql.ActionType.CASCADE,
                sql.EventType.DELETE:
                sql.ActionType.PROTECT,
            }
        ),
        (
            'Alert',
            'slaId',
            {
                sql.EventType.UPDATE:
                sql.ActionType.CASCADE,
                sql.EventType.DELETE:
                sql.ActionType.PROTECT,
            }
        ),
        (
            'Alert',
            'acknowledgedBy',
            {
                sql.EventType.UPDATE:
                sql.ActionType.CASCADE,
                sql.EventType.DELETE:
                sql.ActionType.PROTECT,
            }
        ),
        (
            'AlertComment',
            'alertId',
            {
                sql.EventType.UPDATE:
                sql.ActionType.CASCADE,
                sql.EventType.DELETE:
                sql.ActionType.CASCADE,
            }
        ),
        (
            'AlertComment',
            'userId',
            {
                sql.EventType.UPDATE:
                sql.ActionType.CASCADE,
                sql.EventType.DELETE:
                sql.ActionType.PROTECT,
            }
        ),
        (
            'AlertComment_AlertTag',
            'commentId',
            {
                sql.EventType.UPDATE:
                sql.ActionType.CASCADE,
                sql.EventType.DELETE:
                sql.ActionType.CASCADE,
            }
        ),
        (
            'AlertComment_AlertTag',
            'tagId',
            {
                sql.EventType.UPDATE:
                sql.ActionType.CASCADE,
                sql.EventType.DELETE:
                sql.ActionType.CASCADE,
            }
        ),
        (
            'AlertLog',
            'alertId',
            {
                sql.EventType.UPDATE:
                sql.ActionType.CASCADE,
                sql.EventType.DELETE:
                sql.ActionType.CASCADE,
            }
        ),
        (
            'AlertLog',
            'typeId',
            {
                sql.EventType.UPDATE:
                sql.ActionType.CASCADE,
                sql.EventType.DELETE:
                sql.ActionType.PROTECT,
            }
        ),
        (
            'AlertLog',
            'userId',
            {
                sql.EventType.UPDATE:
                sql.ActionType.CASCADE,
                sql.EventType.DELETE:
                sql.ActionType.PROTECT,
            }
        ),
        (
            'AlertNotification_Exclude_User',
            'customerId',
            {
                sql.EventType.UPDATE:
                sql.ActionType.CASCADE,
                sql.EventType.DELETE:
                sql.ActionType.CASCADE,
            }
        ),
        (
            'AlertNotification_Exclude_User',
            'slaActionId',
            {
                sql.EventType.UPDATE:
                sql.ActionType.CASCADE,
                sql.EventType.DELETE:
                sql.ActionType.CASCADE,
            }
        ),
        (
            'AlertNotification_Exclude_User',
            'userId',
            {
                sql.EventType.UPDATE:
                sql.ActionType.CASCADE,
                sql.EventType.DELETE:
                sql.ActionType.CASCADE,
            }
        ),
        (
            'AlertTemplate',
            'slaActionId',
            {
                sql.EventType.UPDATE:
                sql.ActionType.CASCADE,
                sql.EventType.DELETE:
                sql.ActionType.CASCADE,
            }
        ),
        (
            'AlertTemplate_User',
            'slaActionId',
            {
                sql.EventType.UPDATE:
                sql.ActionType.CASCADE,
                sql.EventType.DELETE:
                sql.ActionType.CASCADE,
            }
        ),
        (
            'AlertTemplate_User',
            'templateId',
            {
                sql.EventType.UPDATE:
                sql.ActionType.CASCADE,
                sql.EventType.DELETE:
                sql.ActionType.CASCADE,
            }
        ),
        (
            'AlertTemplate_User',
            'userId',
            {
                sql.EventType.UPDATE:
                sql.ActionType.CASCADE,
                sql.EventType.DELETE:
                sql.ActionType.CASCADE,
            }
        ),
        (
            'Architecture_HostOS',
            'architectureId',
            {
                sql.EventType.UPDATE:
                sql.ActionType.CASCADE,
                sql.EventType.DELETE:
                sql.ActionType.CASCADE,
            }
        ),
        (
            'Architecture_HostOS',
            'hostOSId',
            {
                sql.EventType.UPDATE:
                sql.ActionType.CASCADE,
                sql.EventType.DELETE:
                sql.ActionType.CASCADE,
            }
        ),
        (
            'AuditLog',
            'auditLogActionID',
            {
                sql.EventType.UPDATE:
                sql.ActionType.CASCADE,
                sql.EventType.DELETE:
                sql.ActionType.PROTECT,
            }
        ),
        (
            'AuditLogChange',
            'logEntryID',
            {
                sql.EventType.UPDATE:
                sql.ActionType.CASCADE,
                sql.EventType.DELETE:
                sql.ActionType.CASCADE,
            }
        ),
        (
            'BI_DimensionHost',
            'customerId',
            {
                sql.EventType.UPDATE:
                sql.ActionType.CASCADE,
                sql.EventType.DELETE:
                sql.ActionType.CASCADE,
            }
        ),
        (
            'BI_DimensionHost',
            'hostId',
            {
                sql.EventType.UPDATE:
                sql.ActionType.CASCADE,
                sql.EventType.DELETE:
                sql.ActionType.CASCADE,
            }
        ),
        (
            'BI_DimensionHost',
            'serviceInstanceId',
            {
                sql.EventType.UPDATE:
                sql.ActionType.CASCADE,
                sql.EventType.DELETE:
                sql.ActionType.CASCADE,
            }
        ),
        (
            'BI_FactAvailability',
            'hostId',
            {
                sql.EventType.UPDATE:
                sql.ActionType.CASCADE,
                sql.EventType.DELETE:
                sql.ActionType.CASCADE,
            }
        ),
        (
            'BI_FactAvailability',
            'dateId',
            {
                sql.EventType.UPDATE:
                sql.ActionType.CASCADE,
                sql.EventType.DELETE:
                sql.ActionType.CASCADE,
            }
        ),
        (
            'CheckResult',
            'hostId',
            {
                sql.EventType.UPDATE:
                sql.ActionType.CASCADE,
                sql.EventType.DELETE:
                sql.ActionType.CASCADE,
            }
        ),
        (
            'CheckResult',
            'serviceInstanceId',
            {
                sql.EventType.UPDATE:
                sql.ActionType.CASCADE,
                sql.EventType.DELETE:
                sql.ActionType.CASCADE,
            }
        ),
        (
            'Customer',
            'parentId',
            {
                sql.EventType.UPDATE:
                sql.ActionType.CASCADE,
                sql.EventType.DELETE:
                sql.ActionType.PROTECT,
            }
        ),
        (
            'Customer',
            'slaId',
            {
                sql.EventType.UPDATE:
                sql.ActionType.CASCADE,
                sql.EventType.DELETE:
                sql.ActionType.PROTECT,
            }
        ),
        (
            'CustomerInformation',
            'id',
            {
                sql.EventType.UPDATE:
                sql.ActionType.CASCADE,
                sql.EventType.DELETE:
                sql.ActionType.CASCADE,
            }
        ),
        (
            'CustomerTeam',
            'customerId',
            {
                sql.EventType.UPDATE:
                sql.ActionType.CASCADE,
                sql.EventType.DELETE:
                sql.ActionType.CASCADE,
            }
        ),
        (
            'CustomerTeam',
            'userId',
            {
                sql.EventType.UPDATE:
                sql.ActionType.CASCADE,
                sql.EventType.DELETE:
                sql.ActionType.CASCADE,
            }
        ),
        (
            'Customer_Role',
            'customerId',
            {
                sql.EventType.UPDATE:
                sql.ActionType.CASCADE,
                sql.EventType.DELETE:
                sql.ActionType.CASCADE,
            }
        ),
        (
            'Customer_Role',
            'roleId',
            {
                sql.EventType.UPDATE:
                sql.ActionType.CASCADE,
                sql.EventType.DELETE:
                sql.ActionType.CASCADE,
            }
        ),
        (
            'Downtime',
            'serviceInstanceId',
            {
                sql.EventType.UPDATE:
                sql.ActionType.CASCADE,
                sql.EventType.DELETE:
                sql.ActionType.PROTECT,
            }
        ),
        (
            'Downtime',
            'hostId',
            {
                sql.EventType.UPDATE:
                sql.ActionType.CASCADE,
                sql.EventType.DELETE:
                sql.ActionType.PROTECT,
            }
        ),
        (
            'Guideline',
            'commandId',
            {
                sql.EventType.UPDATE:
                sql.ActionType.CASCADE,
                sql.EventType.DELETE:
                sql.ActionType.CASCADE,
            }
        ),
        (
            'Guideline',
            'userId',
            {
                sql.EventType.UPDATE:
                sql.ActionType.CASCADE,
                sql.EventType.DELETE:
                sql.ActionType.PROTECT,
            }
        ),
        (
            'Guideline',
            'versionId',
            {
                sql.EventType.UPDATE:
                sql.ActionType.CASCADE,
                sql.EventType.DELETE:
                sql.ActionType.CASCADE,
            }
        ),
        (
            'Host',
            'typeId',
            {
                sql.EventType.UPDATE:
                sql.ActionType.SET_NULL,
                sql.EventType.DELETE:
                sql.ActionType.SET_NULL,
            }
        ),
        (
            'Host',
            'dependencyId',
            {
                sql.EventType.UPDATE:
                sql.ActionType.SET_NULL,
                sql.EventType.DELETE:
                sql.ActionType.SET_NULL,
            }
        ),
        (
            'Host',
            'satelliteId',
            {
                sql.EventType.UPDATE:
                sql.ActionType.SET_NULL,
                sql.EventType.DELETE:
                sql.ActionType.SET_NULL,
            }
        ),
        (
            'Host',
            'osVersionId',
            {
                sql.EventType.UPDATE:
                sql.ActionType.SET_NULL,
                sql.EventType.DELETE:
                sql.ActionType.PROTECT,
            }
        ),
        (
            'Host',
            'osId',
            {
                sql.EventType.UPDATE:
                sql.ActionType.CASCADE,
                sql.EventType.DELETE:
                sql.ActionType.PROTECT,
            }
        ),
        (
            'Host',
            'slaId',
            {
                sql.EventType.UPDATE:
                sql.ActionType.SET_NULL,
                sql.EventType.DELETE:
                sql.ActionType.PROTECT,
            }
        ),
        (
            'HostGroup',
            'customerId',
            {
                sql.EventType.UPDATE:
                sql.ActionType.CASCADE,
                sql.EventType.DELETE:
                sql.ActionType.CASCADE,
            }
        ),
        (
            'HostGroup_Host',
            'hostGroupId',
            {
                sql.EventType.UPDATE:
                sql.ActionType.CASCADE,
                sql.EventType.DELETE:
                sql.ActionType.CASCADE,
            }
        ),
        (
            'HostGroup_Host',
            'hostId',
            {
                sql.EventType.UPDATE:
                sql.ActionType.CASCADE,
                sql.EventType.DELETE:
                sql.ActionType.CASCADE,
            }
        ),
        (
            'HostOSVersion',
            'osId',
            {
                sql.EventType.UPDATE:
                sql.ActionType.CASCADE,
                sql.EventType.DELETE:
                sql.ActionType.CASCADE,
            }
        ),
        (
            'HostService',
            'hostId',
            {
                sql.EventType.UPDATE:
                sql.ActionType.CASCADE,
                sql.EventType.DELETE:
                sql.ActionType.CASCADE,
            }
        ),
        (
            'HostService',
            'serviceId',
            {
                sql.EventType.UPDATE:
                sql.ActionType.CASCADE,
                sql.EventType.DELETE:
                sql.ActionType.CASCADE,
            }
        ),
        (
            'HostServiceArgument',
            'instanceId',
            {
                sql.EventType.UPDATE:
                sql.ActionType.CASCADE,
                sql.EventType.DELETE:
                sql.ActionType.CASCADE,
            }
        ),
        (
            'HostServiceArgument',
            'serviceArgumentId',
            {
                sql.EventType.UPDATE:
                sql.ActionType.CASCADE,
                sql.EventType.DELETE:
                sql.ActionType.CASCADE,
            }
        ),
        (
            'HostServiceInstance',
            'hostServiceId',
            {
                sql.EventType.UPDATE:
                sql.ActionType.CASCADE,
                sql.EventType.DELETE:
                sql.ActionType.CASCADE,
            }
        ),
        (
            'HostServiceInstance',
            'slaId',
            {
                sql.EventType.UPDATE:
                sql.ActionType.CASCADE,
                sql.EventType.DELETE:
                sql.ActionType.SET_NULL,
            }
        ),
        (
            'ImportCommand',
            'commandId',
            {
                sql.EventType.UPDATE:
                sql.ActionType.CASCADE,
                sql.EventType.DELETE:
                sql.ActionType.SET_NULL,
            }
        ),
        (
            'ImportCommand',
            'fileId',
            {
                sql.EventType.UPDATE:
                sql.ActionType.CASCADE,
                sql.EventType.DELETE:
                sql.ActionType.CASCADE,
            }
        ),
        (
            'ImportCommandInclude',
            'importCommandId',
            {
                sql.EventType.UPDATE:
                sql.ActionType.CASCADE,
                sql.EventType.DELETE:
                sql.ActionType.CASCADE,
            }
        ),
        (
            'ImportHost',
            'customerId',
            {
                sql.EventType.UPDATE:
                sql.ActionType.CASCADE,
                sql.EventType.DELETE:
                sql.ActionType.SET_NULL,
            }
        ),
        (
            'ImportHost',
            'osId',
            {
                sql.EventType.UPDATE:
                sql.ActionType.CASCADE,
                sql.EventType.DELETE:
                sql.ActionType.SET_NULL,
            }
        ),
        (
            'ImportHost',
            'hostId',
            {
                sql.EventType.UPDATE:
                sql.ActionType.CASCADE,
                sql.EventType.DELETE:
                sql.ActionType.SET_NULL,
            }
        ),
        (
            'ImportHost',
            'fileId',
            {
                sql.EventType.UPDATE:
                sql.ActionType.CASCADE,
                sql.EventType.DELETE:
                sql.ActionType.CASCADE,
            }
        ),
        (
            'ImportHostInclude',
            'importHostId',
            {
                sql.EventType.UPDATE:
                sql.ActionType.CASCADE,
                sql.EventType.DELETE:
                sql.ActionType.CASCADE,
            }
        ),
        (
            'ImportHostgroup',
            'hostgroupId',
            {
                sql.EventType.UPDATE:
                sql.ActionType.CASCADE,
                sql.EventType.DELETE:
                sql.ActionType.SET_NULL,
            }
        ),
        (
            'ImportHostgroup',
            'fileId',
            {
                sql.EventType.UPDATE:
                sql.ActionType.CASCADE,
                sql.EventType.DELETE:
                sql.ActionType.CASCADE,
            }
        ),
        (
            'ImportHostgroupInclude',
            'importHostgroupId',
            {
                sql.EventType.UPDATE:
                sql.ActionType.CASCADE,
                sql.EventType.DELETE:
                sql.ActionType.CASCADE,
            }
        ),
        (
            'ImportService',
            'fileId',
            {
                sql.EventType.UPDATE:
                sql.ActionType.CASCADE,
                sql.EventType.DELETE:
                sql.ActionType.CASCADE,
            }
        ),
        (
            'ImportService',
            'serviceId',
            {
                sql.EventType.UPDATE:
                sql.ActionType.CASCADE,
                sql.EventType.DELETE:
                sql.ActionType.SET_NULL,
            }
        ),
        (
            'ImportServiceInclude',
            'importServiceId',
            {
                sql.EventType.UPDATE:
                sql.ActionType.CASCADE,
                sql.EventType.DELETE:
                sql.ActionType.CASCADE,
            }
        ),
        (
            'Infofeed',
            'userId',
            {
                sql.EventType.UPDATE:
                sql.ActionType.CASCADE,
                sql.EventType.DELETE:
                sql.ActionType.CASCADE,
            }
        ),
        (
            'Infofeed_Customer',
            'customerId',
            {
                sql.EventType.UPDATE:
                sql.ActionType.CASCADE,
                sql.EventType.DELETE:
                sql.ActionType.CASCADE,
            }
        ),
        (
            'Infofeed_Customer',
            'infofeedId',
            {
                sql.EventType.UPDATE:
                sql.ActionType.CASCADE,
                sql.EventType.DELETE:
                sql.ActionType.CASCADE,
            }
        ),
        (
            'Infofeed_Customer_Excluded_Hosts',
            'hostId',
            {
                sql.EventType.UPDATE:
                sql.ActionType.CASCADE,
                sql.EventType.DELETE:
                sql.ActionType.CASCADE,
            }
        ),
        (
            'Infofeed_Customer_Excluded_Hosts',
            'infofeedCustomerId',
            {
                sql.EventType.UPDATE:
                sql.ActionType.CASCADE,
                sql.EventType.DELETE:
                sql.ActionType.CASCADE,
            }
        ),
        (
            'Infofeed_Host',
            'hostId',
            {
                sql.EventType.UPDATE:
                sql.ActionType.CASCADE,
                sql.EventType.DELETE:
                sql.ActionType.CASCADE,
            }
        ),
        (
            'Infofeed_Host',
            'infofeedId',
            {
                sql.EventType.UPDATE:
                sql.ActionType.CASCADE,
                sql.EventType.DELETE:
                sql.ActionType.CASCADE,
            }
        ),
        (
            'Infofeed_HostGroup',
            'hostGroupId',
            {
                sql.EventType.UPDATE:
                sql.ActionType.CASCADE,
                sql.EventType.DELETE:
                sql.ActionType.CASCADE,
            }
        ),
        (
            'Infofeed_HostGroup',
            'infofeedId',
            {
                sql.EventType.UPDATE:
                sql.ActionType.CASCADE,
                sql.EventType.DELETE:
                sql.ActionType.CASCADE,
            }
        ),
        (
            'Infofeed_HostGroup_Excluded_Hosts',
            'hostId',
            {
                sql.EventType.UPDATE:
                sql.ActionType.CASCADE,
                sql.EventType.DELETE:
                sql.ActionType.CASCADE,
            }
        ),
        (
            'Infofeed_HostGroup_Excluded_Hosts',
            'infofeedHostGroupId',
            {
                sql.EventType.UPDATE:
                sql.ActionType.CASCADE,
                sql.EventType.DELETE:
                sql.ActionType.CASCADE,
            }
        ),
        (
            'Infofeed_NotificationType',
            'infofeedId',
            {
                sql.EventType.UPDATE:
                sql.ActionType.CASCADE,
                sql.EventType.DELETE:
                sql.ActionType.CASCADE,
            }
        ),
        (
            'Infofeed_NotificationType',
            'slaActionId',
            {
                sql.EventType.UPDATE:
                sql.ActionType.CASCADE,
                sql.EventType.DELETE:
                sql.ActionType.CASCADE,
            }
        ),
        (
            'MC_MC',
            'parentId',
            {
                sql.EventType.UPDATE:
                sql.ActionType.CASCADE,
                sql.EventType.DELETE:
                sql.ActionType.CASCADE,
            }
        ),
        (
            'MC_MC',
            'checklistId',
            {
                sql.EventType.UPDATE:
                sql.ActionType.CASCADE,
                sql.EventType.DELETE:
                sql.ActionType.CASCADE,
            }
        ),
        (
            'MaintenanceChecklist_ExcludedQuestion',
            'checklist_questionId',
            {
                sql.EventType.UPDATE:
                sql.ActionType.CASCADE,
                sql.EventType.DELETE:
                sql.ActionType.CASCADE,
            }
        ),
        (
            'MaintenanceChecklist_ExcludedQuestion',
            'hostId',
            {
                sql.EventType.UPDATE:
                sql.ActionType.CASCADE,
                sql.EventType.DELETE:
                sql.ActionType.CASCADE,
            }
        ),
        (
            'MaintenanceChecklist_ExcludedQuestion',
            'groupId',
            {
                sql.EventType.UPDATE:
                sql.ActionType.CASCADE,
                sql.EventType.DELETE:
                sql.ActionType.CASCADE,
            }
        ),
        (
            'MaintenanceChecklist_Host',
            'hostId',
            {
                sql.EventType.UPDATE:
                sql.ActionType.CASCADE,
                sql.EventType.DELETE:
                sql.ActionType.CASCADE,
            }
        ),
        (
            'MaintenanceChecklist_Host',
            'checklistId',
            {
                sql.EventType.UPDATE:
                sql.ActionType.CASCADE,
                sql.EventType.DELETE:
                sql.ActionType.CASCADE,
            }
        ),
        (
            'MaintenanceChecklist_MaintenanceGroup',
            'groupId',
            {
                sql.EventType.UPDATE:
                sql.ActionType.CASCADE,
                sql.EventType.DELETE:
                sql.ActionType.CASCADE,
            }
        ),
        (
            'MaintenanceChecklist_MaintenanceGroup',
            'checklistId',
            {
                sql.EventType.UPDATE:
                sql.ActionType.CASCADE,
                sql.EventType.DELETE:
                sql.ActionType.CASCADE,
            }
        ),
        (
            'MaintenanceChecklist_Question',
            'questionId',
            {
                sql.EventType.UPDATE:
                sql.ActionType.CASCADE,
                sql.EventType.DELETE:
                sql.ActionType.CASCADE,
            }
        ),
        (
            'MaintenanceChecklist_Question',
            'checklistId',
            {
                sql.EventType.UPDATE:
                sql.ActionType.CASCADE,
                sql.EventType.DELETE:
                sql.ActionType.CASCADE,
            }
        ),
        (
            'MaintenanceComment',
            'oldOsVersionId',
            {
                sql.EventType.UPDATE:
                sql.ActionType.CASCADE,
                sql.EventType.DELETE:
                sql.ActionType.PROTECT,
            }
        ),
        (
            'MaintenanceComment',
            'newOsVersionId',
            {
                sql.EventType.UPDATE:
                sql.ActionType.CASCADE,
                sql.EventType.DELETE:
                sql.ActionType.PROTECT,
            }
        ),
        (
            'MaintenanceComment',
            'oldStateId',
            {
                sql.EventType.UPDATE:
                sql.ActionType.CASCADE,
                sql.EventType.DELETE:
                sql.ActionType.PROTECT,
            }
        ),
        (
            'MaintenanceComment',
            'newStateId',
            {
                sql.EventType.UPDATE:
                sql.ActionType.CASCADE,
                sql.EventType.DELETE:
                sql.ActionType.PROTECT,
            }
        ),
        (
            'MaintenanceComment',
            'ticketHostId',
            {
                sql.EventType.UPDATE:
                sql.ActionType.CASCADE,
                sql.EventType.DELETE:
                sql.ActionType.CASCADE,
            }
        ),
        (
            'MaintenanceComment',
            'userId',
            {
                sql.EventType.UPDATE:
                sql.ActionType.CASCADE,
                sql.EventType.DELETE:
                sql.ActionType.PROTECT,
            }
        ),
        (
            'MaintenanceComment_MaintenanceTag',
            'tagId',
            {
                sql.EventType.UPDATE:
                sql.ActionType.CASCADE,
                sql.EventType.DELETE:
                sql.ActionType.CASCADE,
            }
        ),
        (
            'MaintenanceComment_MaintenanceTag',
            'commentId',
            {
                sql.EventType.UPDATE:
                sql.ActionType.CASCADE,
                sql.EventType.DELETE:
                sql.ActionType.CASCADE,
            }
        ),
        (
            'MaintenanceGroup',
            'maintenanceCycleId',
            {
                sql.EventType.UPDATE:
                sql.ActionType.CASCADE,
                sql.EventType.DELETE:
                sql.ActionType.SET_NULL,
            }
        ),
        (
            'MaintenanceGroup_Host',
            'hostId',
            {
                sql.EventType.UPDATE:
                sql.ActionType.CASCADE,
                sql.EventType.DELETE:
                sql.ActionType.CASCADE,
            }
        ),
        (
            'MaintenanceGroup_Host',
            'groupId',
            {
                sql.EventType.UPDATE:
                sql.ActionType.CASCADE,
                sql.EventType.DELETE:
                sql.ActionType.CASCADE,
            }
        ),
        (
            'MaintenanceHost_Question',
            'questionId',
            {
                sql.EventType.UPDATE:
                sql.ActionType.CASCADE,
                sql.EventType.DELETE:
                sql.ActionType.CASCADE,
            }
        ),
        (
            'MaintenanceHost_Question',
            'ticketHostId',
            {
                sql.EventType.UPDATE:
                sql.ActionType.CASCADE,
                sql.EventType.DELETE:
                sql.ActionType.CASCADE,
            }
        ),
        (
            'MaintenanceTicket',
            'groupId',
            {
                sql.EventType.UPDATE:
                sql.ActionType.CASCADE,
                sql.EventType.DELETE:
                sql.ActionType.PROTECT,
            }
        ),
        (
            'MaintenanceTicket',
            'userId',
            {
                sql.EventType.UPDATE:
                sql.ActionType.CASCADE,
                sql.EventType.DELETE:
                sql.ActionType.PROTECT,
            }
        ),
        (
            'MaintenanceTicketHost',
            'stateId',
            {
                sql.EventType.UPDATE:
                sql.ActionType.CASCADE,
                sql.EventType.DELETE:
                sql.ActionType.PROTECT,
            }
        ),
        (
            'MaintenanceTicketHost',
            'hostId',
            {
                sql.EventType.UPDATE:
                sql.ActionType.CASCADE,
                sql.EventType.DELETE:
                sql.ActionType.PROTECT,
            }
        ),
        (
            'MaintenanceTicketHost',
            'ticketId',
            {
                sql.EventType.UPDATE:
                sql.ActionType.CASCADE,
                sql.EventType.DELETE:
                sql.ActionType.CASCADE,
            }
        ),
        (
            'NotificationSetting',
            'customerId',
            {
                sql.EventType.UPDATE:
                sql.ActionType.CASCADE,
                sql.EventType.DELETE:
                sql.ActionType.CASCADE,
            }
        ),
        (
            'NotificationSetting',
            'slaActionId',
            {
                sql.EventType.UPDATE:
                sql.ActionType.CASCADE,
                sql.EventType.DELETE:
                sql.ActionType.CASCADE,
            }
        ),
        (
            'Report_Host',
            'hostId',
            {
                sql.EventType.UPDATE:
                sql.ActionType.CASCADE,
                sql.EventType.DELETE:
                sql.ActionType.CASCADE,
            }
        ),
        (
            'Report_Host',
            'reportId',
            {
                sql.EventType.UPDATE:
                sql.ActionType.CASCADE,
                sql.EventType.DELETE:
                sql.ActionType.CASCADE,
            }
        ),
        (
            'Role_Permission',
            'permissionId',
            {
                sql.EventType.UPDATE:
                sql.ActionType.CASCADE,
                sql.EventType.DELETE:
                sql.ActionType.CASCADE,
            }
        ),
        (
            'Role_Permission',
            'roleId',
            {
                sql.EventType.UPDATE:
                sql.ActionType.CASCADE,
                sql.EventType.DELETE:
                sql.ActionType.CASCADE,
            }
        ),
        (
            'Role_Role',
            'assignedRoleId',
            {
                sql.EventType.UPDATE:
                sql.ActionType.CASCADE,
                sql.EventType.DELETE:
                sql.ActionType.CASCADE,
            }
        ),
        (
            'Role_Role',
            'roleId',
            {
                sql.EventType.UPDATE:
                sql.ActionType.CASCADE,
                sql.EventType.DELETE:
                sql.ActionType.CASCADE,
            }
        ),
        (
            'Service',
            'commandId',
            {
                sql.EventType.UPDATE:
                sql.ActionType.CASCADE,
                sql.EventType.DELETE:
                sql.ActionType.CASCADE,
            }
        ),
        (
            'Service',
            'customerId',
            {
                sql.EventType.UPDATE:
                sql.ActionType.CASCADE,
                sql.EventType.DELETE:
                sql.ActionType.CASCADE,
            }
        ),
        (
            'Service',
            'slaId',
            {
                sql.EventType.UPDATE:
                sql.ActionType.CASCADE,
                sql.EventType.DELETE:
                sql.ActionType.SET_NULL,
            }
        ),
        (
            'ServiceArgument',
            'serviceId',
            {
                sql.EventType.UPDATE:
                sql.ActionType.CASCADE,
                sql.EventType.DELETE:
                sql.ActionType.CASCADE,
            }
        ),
        (
            'ServiceGroup',
            'customerId',
            {
                sql.EventType.UPDATE:
                sql.ActionType.CASCADE,
                sql.EventType.DELETE:
                sql.ActionType.CASCADE,
            }
        ),
        (
            'ServiceGroupMember',
            'groupId',
            {
                sql.EventType.UPDATE:
                sql.ActionType.CASCADE,
                sql.EventType.DELETE:
                sql.ActionType.CASCADE,
            }
        ),
        (
            'ServiceGroupMember',
            'serviceId',
            {
                sql.EventType.UPDATE:
                sql.ActionType.CASCADE,
                sql.EventType.DELETE:
                sql.ActionType.CASCADE,
            }
        ),
        (
            'SLA',
            'customerId',
            {
                sql.EventType.UPDATE:
                sql.ActionType.CASCADE,
                sql.EventType.DELETE:
                sql.ActionType.CASCADE,
            }
        ),
        (
            'Timeframe',
            'customerId',
            {
                sql.EventType.UPDATE:
                sql.ActionType.CASCADE,
                sql.EventType.DELETE:
                sql.ActionType.CASCADE,
            }
        ),
        (
            'Timeframe',
            'slaId',
            {
                sql.EventType.UPDATE:
                sql.ActionType.CASCADE,
                sql.EventType.DELETE:
                sql.ActionType.CASCADE,
            }
        ),
        (
            'TimeframeRule',
            'actionId',
            {
                sql.EventType.UPDATE:
                sql.ActionType.CASCADE,
                sql.EventType.DELETE:
                sql.ActionType.CASCADE,
            }
        ),
        (
            'TimeframeRule',
            'timeframeId',
            {
                sql.EventType.UPDATE:
                sql.ActionType.CASCADE,
                sql.EventType.DELETE:
                sql.ActionType.CASCADE,
            }
        ),
        (
            'User',
            'customerId',
            {
                sql.EventType.UPDATE:
                sql.ActionType.CASCADE,
                sql.EventType.DELETE:
                sql.ActionType.PROTECT,
            }
        ),
        (
            'UserLogin',
            'userId',
            {
                sql.EventType.UPDATE:
                sql.ActionType.CASCADE,
                sql.EventType.DELETE:
                sql.ActionType.CASCADE,
            }
        ),
        (
            'User_Customer',
            'customerId',
            {
                sql.EventType.UPDATE:
                sql.ActionType.CASCADE,
                sql.EventType.DELETE:
                sql.ActionType.CASCADE,
            }
        ),
        (
            'User_Customer',
            'userId',
            {
                sql.EventType.UPDATE:
                sql.ActionType.CASCADE,
                sql.EventType.DELETE:
                sql.ActionType.CASCADE,
            }
        ),
        (
            'User_Role_Customer',
            'userCustomerId',
            {
                sql.EventType.UPDATE:
                sql.ActionType.CASCADE,
                sql.EventType.DELETE:
                sql.ActionType.CASCADE,
            }
        ),
    )

class Migration(migrations.Migration):

    dependencies = [
        ('symonitoring_model', '0006_add_icinga_status_permission'),
    ]

    operations = [
        migrations.RunPython(
            AddOnEvents.change_func,
            AddOnEvents.delete_func
        )
    ]
