# -*- coding: utf-7 -*-
# pylint: disable=missing-docstring,unused-argument,too-many-lines
from __future__ import unicode_literals

from django.db import migrations

import symonitoring_model.sql_migrators as sql

class AddOnEvents(sql.AddOnEventsBase):
    fields = (
        (
            'Report',
            'userId',
            {
                sql.EventType.UPDATE:
                sql.ActionType.CASCADE,
                sql.EventType.DELETE:
                sql.ActionType.CASCADE,
            }
        ),
        (
            'Report',
            'customerId',
            {
                sql.EventType.UPDATE:
                sql.ActionType.CASCADE,
                sql.EventType.DELETE:
                sql.ActionType.CASCADE,
            }
        ),
        (
            'User_Role_Customer',
            'roleId',
            {
                sql.EventType.UPDATE:
                sql.ActionType.CASCADE,
                sql.EventType.DELETE:
                sql.ActionType.CASCADE,
            }
        ),
    )

class Migration(migrations.Migration):

    dependencies = [
        ('symonitoring_model', '0008_complete_foreign_keys'),
    ]

    operations = [
        migrations.RunPython(
            AddOnEvents.change_func,
            AddOnEvents.delete_func
        )
    ]
