# -*- coding: utf-8 -*-
from __future__ import unicode_literals

from django.db import models, migrations

import symonitoring_model.sql_migrators as sql


class AddDefaultValue(sql.AddDefaultValueBase):
    fields = [
        ('NagiosLog', 'processed', "'0'"),
    ]


class AddAutoTimestamp(sql.AddAutoTimestampBase):
    fields = [
        ('HostServiceInstance', 'datetimeCreated', False),
    ]


class Migration(migrations.Migration):
    dependencies = [
        ('symonitoring_model', '0010_hold_holdinform'),
    ]

    operations = [
        migrations.AlterField(
            model_name='nagioslog',
            name='processed',
            field=models.CharField(default='0', max_length=2),
            preserve_default=True,
        ),
        migrations.RunPython(
            AddAutoTimestamp.forwards_func,
            AddAutoTimestamp.backwards_func
        ),
        migrations.RunPython(
            AddDefaultValue.change_func,
            AddDefaultValue.drop_func
        )
    ]
