# -*- coding: utf-8 -*-
# pylint: disable=missing-docstring
from __future__ import unicode_literals
from django.db import migrations
import symonitoring_model.sql_migrators as sql


class AddOnEvents(sql.AddOnEventsBase):
    fields = (
        (
            'Hold',
            'nagioslogId',
            {
                sql.EventType.UPDATE:
                sql.ActionType.CASCADE,
                sql.EventType.DELETE:
                sql.ActionType.CASCADE,
            }
        ),
        (
            'HoldInform',
            'nagioslogId',
            {
                sql.EventType.UPDATE:
                sql.ActionType.CASCADE,
                sql.EventType.DELETE:
                sql.ActionType.CASCADE,
            }
        ),
        (
            'NagiosLog',
            'alertId',
            {
                sql.EventType.UPDATE:
                sql.ActionType.CASCADE,
                sql.EventType.DELETE:
                sql.ActionType.SET_NULL,
            }
        ),
    )


class Migration(migrations.Migration):
    dependencies = [
        ('symonitoring_model', '0013_missing_states_nagioslog'),
    ]

    operations = [
        migrations.RunPython(
            AddOnEvents.change_func,
            AddOnEvents.delete_func
        )
    ]
