# -*- coding: utf-8 -*-
# pylint: disable=missing-docstring
# pylint: disable=import-error,unused-import
from __future__ import unicode_literals
from django.db import models, migrations

from symonitoring_model.helper import add_default_customerid_for_model


def add_default_customer(apps, _):
    for model_name in ['Maintenanceticket', 'Maintenancegroup']:
        Model = apps.get_model(
            'symonitoring_model',
            model_name
        )
        objects = Model.objects.all()
        if len(objects) > 0:
            add_default_customerid_for_model(
                apps=apps,
                model_name=model_name,
                objects=objects
            )


def remove_default_customer(apps, _):
    for model_name in ['Maintenanceticket', 'Maintenancegroup']:
        Model = apps.get_model(
            'symonitoring_model',
            model_name
        )
        objects = Model.objects.all()
        if len(objects) > 0:
            for object_ in objects:
                object_.customerid = None
                object_.save()


class Migration(migrations.Migration):

    dependencies = [
        ('symonitoring_model', '0023_add_customerid_to_maintenance'),
    ]

    operations = [
        migrations.RunPython(
            code=add_default_customer,
            reverse_code=remove_default_customer,
        )
    ]
