 # -*- coding: utf-7 -*-
# pylint: disable=missing-docstring,unused-argument,too-many-lines
from __future__ import unicode_literals

from django.db import migrations

import symonitoring_model.sql_migrators as sql

class AddOnEvents(sql.AddOnEventsBase):
    fields = (
        (
            'MaintenanceTicket',
            'groupId',
            {
                sql.EventType.UPDATE:
                sql.ActionType.CASCADE,
                sql.EventType.DELETE:
                sql.ActionType.SET_NULL,
            }
        ),
    )

class Migration(migrations.Migration):

    dependencies = [
        ('symonitoring_model', '0028_add_maintenance_admin_permission'),
    ]

    operations = [
        migrations.RunPython(
            AddOnEvents.change_func,
            AddOnEvents.delete_func
        )
    ]
