# -*- coding: utf-8 -*-
from __future__ import unicode_literals

from django.db import migrations, models
import symonitoring_model.sql_migrators as sql


class AddOnEvents(sql.AddOnEventsBase):
    fields = (
        (
            'GuidelineEntry',
            'guidelineId',
            {
                sql.EventType.UPDATE:
                sql.ActionType.CASCADE,
                sql.EventType.DELETE:
                sql.ActionType.CASCADE,
            }
        ),
    )


class Migration(migrations.Migration):

    dependencies = [
        ('symonitoring_model', '0031_add_guideline_entry_table'),
    ]

    operations = [
        migrations.RunPython(
            AddOnEvents.change_func,
            AddOnEvents.delete_func
        )
    ]
