# -*- coding: utf-8 -*-
from __future__ import unicode_literals

from django.db import migrations, models

def add_permission(apps, _):
    Permission     = apps.get_model('symonitoring_model', 'Permission')

    newPermissions = [
        {
            'name': 'BRE Application',
            'description': 'Access business rule applications.'
        },
        {
            'name': 'BRE Application write',
            'description': 'Write business rule applications.'
        },
    ]

    for newPermission in newPermissions:
        permission, _ = Permission.objects.get_or_create(
            name        = newPermission['name'],
            description = newPermission['description']
        )


class Migration(migrations.Migration):

    dependencies = [
        ('symonitoring_model', '0033_change_commandid_s_related_name'),
    ]

    operations = [
        migrations.RunPython(add_permission)
    ]
