# -*- coding: UTF-8 -*-

"""
Django settings for symonitoring_model project.

For more information on this file, see
https://docs.djangoproject.com/en/1.6/topics/settings/

For the full list of settings and their values, see
https://docs.djangoproject.com/en/1.6/ref/settings/
"""

# Use pymysql as mysqldb
# the maintainer of pymsql keeps 100% mysqldb compatibility
# and runs unittests against django
try:
    import pymysql
    pymysql.install_as_MySQLdb()
except ImportError:  # pragma: no cover
    pass

# Build paths inside the project like this: os.path.join(BASE_DIR, ...)
import os
BASE_DIR = os.path.dirname(os.path.dirname(__file__))


# Quick-start development settings - unsuitable for production
# See https://docs.djangoproject.com/en/1.6/howto/deployment/checklist/

# SECURITY WARNING: keep the secret key used in production secret!
SECRET_KEY = os.getenv('DJANGO_SECRET_KEY', '6r&$s)&u0p*%f*wfki6gy-p(p1&8@$(54(#r(n-o&@zu8(7tiq')

# SECURITY WARNING: don't run with debug turned on in production!
DEBUG = False

TEMPLATE_DEBUG = False

ALLOWED_HOSTS = []

# Database
# https://docs.djangoproject.com/en/1.6/ref/settings/#databases

DATABASES = {
    'default' : {
        'ENGINE'   : 'django.db.backends.mysql',
        'NAME'     : os.getenv('DJANGO_DB_NAME', 'symonitoring'),
        'USER'     : os.getenv('DJANGO_DB_USER', 'root'),
        'PASSWORD' : os.getenv('DJANGO_DB_PASSWORD', 'vagrant'),
        'HOST'     : os.getenv('DJANGO_DB_HOST', '127.0.0.1'),
        'init_command': "SET sql_mode='STRICT_TRANS_TABLES'",
    },
    'sqlite': {
        'ENGINE': 'django.db.backends.sqlite3',
        'NAME': 'sqlite.sqlite',
    }
}

INSTALLED_APPS = ['symonitoring_model']
MIDDLEWARE_CLASSES = []

# Internationalization
# https://docs.djangoproject.com/en/1.6/topics/i18n/
LANGUAGE_CODE = 'en-us'
USE_I18N = True
USE_L10N = True
DEFAULT_CHARSET = 'utf-8'

# Static files (CSS, JavaScript, Images)
# https://docs.djangoproject.com/en/1.6/howto/static-files/
STATIC_URL = '/static/'

# Timezone
USE_TZ            = False
TIME_ZONE         = "Europe/Zurich"
